package istio

import (
	"github.com/c-bata/go-prompt"
)

var options = []prompt.Suggest{
	{Argument: "admin", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "admin", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "admin", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "admin", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "admin", Text: "--selector", Alias: "-l", Provider: "", Description: "label selector (default 'app=istiod')"},
	{Argument: "admin log", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "admin log", Text: "--ctrlz_port", Alias: "", Provider: "", Description: "ControlZ port (default '9876')"},
	{Argument: "admin log", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "admin log", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "admin log", Text: "--level", Alias: "", Provider: "", Description: "Comma-separated list of output logging level for scopes in format <scope>:<level>[,<scope>:<level>,...]Possible values for <level>: none, error, warn, info, debug (default '')"},
	{Argument: "admin log", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "admin log", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|short (default 'short')"},
	{Argument: "admin log", Text: "--reset", Alias: "-r", Provider: "bool", Description: "Reset levels to default value. (info)"},
	{Argument: "admin log", Text: "--selector", Alias: "-l", Provider: "", Description: "label selector (default 'app=istiod')"},
	{Argument: "admin log", Text: "--stack-trace-level", Alias: "", Provider: "", Description: "Comma-separated list of stack trace level for scopes in format <scope>:<stack-trace-level>[,<scope>:<stack-trace-level>,...] Possible values for <stack-trace-level>: none, error, warn, info, debug (default '')"},
	{Argument: "analyze", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "Analyze all namespaces"},
	{Argument: "analyze", Text: "--color", Alias: "", Provider: "bool", Description: "Default true. Disable with '=false' or set $TERM to dumb"},
	{Argument: "analyze", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "analyze", Text: "--failure-threshold", Alias: "", Provider: "", Description: "The severity level of analysis at which to set a non-zero exit code. Valid values: [Info Warning Error] (default 'Error')"},
	{Argument: "analyze", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "analyze", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "analyze", Text: "--list-analyzers", Alias: "-L", Provider: "bool", Description: "List the analyzers available to run. Suppresses normal execution."},
	{Argument: "analyze", Text: "--meshConfigFile", Alias: "", Provider: "path", Description: "Overrides the mesh config values to use for analysis. (default '')"},
	{Argument: "analyze", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "analyze", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of [log json yaml] (default 'log')"},
	{Argument: "analyze", Text: "--output-threshold", Alias: "", Provider: "", Description: "The severity level of analysis at which to display messages. Valid values: [Info Warning Error] (default 'Info')"},
	{Argument: "analyze", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process directory arguments recursively. Useful when you want to analyze related manifests organized within the same directory."},
	{Argument: "analyze", Text: "--suppress", Alias: "-S", Provider: "", Description: "Suppress reporting a message code on a specific resource. Values are supplied in the form <code>=<resource> (e.g. '--suppress 'IST0102=DestinationRule primary-dr.default''). Can be repeated. You can include the wildcard character '*' to support a partial match (e.g. '--suppress 'IST0102=DestinationRule *.default' ). (default '[]')"},
	{Argument: "analyze", Text: "--timeout", Alias: "", Provider: "", Description: "The duration to wait before failing (default '30s')"},
	{Argument: "analyze", Text: "--use-kube", Alias: "-k", Provider: "bool", Description: "Use live Kubernetes cluster for analysis. Set --use-kube=false to analyze files only."},
	{Argument: "analyze", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "authz", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "authz", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "authz", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "authz", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "bug-report", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "bug-report", Text: "--critical-errs", Alias: "", Provider: "", Description: "List of comma separated glob patterns to match against log error strings. If any pattern matches an error in the log, the logs is given the highest priority for archive inclusion. (default '[]')"},
	{Argument: "bug-report", Text: "--dir", Alias: "", Provider: "path", Description: "Set a specific directory for temporary artifact storage. (default '')"},
	{Argument: "bug-report", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Only log commands that would be run, don't fetch or write."},
	{Argument: "bug-report", Text: "--duration", Alias: "", Provider: "", Description: "How far to go back in time from end-time for log entries to include in the archive. Default is infinity. If set, start-time must be unset. (default '0s')"},
	{Argument: "bug-report", Text: "--end-time", Alias: "", Provider: "", Description: "End time for the range of log entries to include in the archive. Default is now. (default '')"},
	{Argument: "bug-report", Text: "--exclude", Alias: "", Provider: "namespace", Description: "Spec for which pod's proxy logs to exclude from the archive, after the include spec is processed. See above for format and examples. (default '['kube-system, kube-public, kube-node-lease, local-path-storage']')"},
	{Argument: "bug-report", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to a file containing configuration in YAML format. The file contents are applied over the default values and flag settings, with lists being replaced per JSON merge semantics. (default '')"},
	{Argument: "bug-report", Text: "--full-secrets", Alias: "", Provider: "bool", Description: "If set, secret contents are included in output."},
	{Argument: "bug-report", Text: "--ignore-errs", Alias: "", Provider: "", Description: "List of comma separated glob patterns to match against log error strings. Any error matching these patterns is ignored when calculating the log importance heuristic. (default '[]')"},
	{Argument: "bug-report", Text: "--include", Alias: "", Provider: "", Description: "Spec for which pod's proxy logs to include in the archive. See above for format and examples. (default '[]')"},
	{Argument: "bug-report", Text: "--istio-namespace", Alias: "", Provider: "namespace", Description: "Namespace where Istio control plane is installed. (default 'istio-system')"},
	{Argument: "bug-report", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "bug-report", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "bug-report", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "bug-report", Text: "--start-time", Alias: "", Provider: "", Description: "Start time for the range of log entries to include in the archive. Default is the infinite past. If set, Since must be unset. (default '')"},
	{Argument: "bug-report", Text: "--timeout", Alias: "", Provider: "", Description: "Maximum amount of time to spend fetching logs. When timeout is reached only the logs captured so far are saved to the archive. (default '30m0s')"},
	{Argument: "bug-report version", Text: "--context", Alias: "", Provider: "context", Description: "Name of the kubeconfig Context to use. (default '')"},
	{Argument: "bug-report version", Text: "--critical-errs", Alias: "", Provider: "", Description: "List of comma separated glob patterns to match against log error strings. If any pattern matches an error in the log, the logs is given the highest priority for archive inclusion. (default '[]')"},
	{Argument: "bug-report version", Text: "--dir", Alias: "", Provider: "path", Description: "Set a specific directory for temporary artifact storage. (default '')"},
	{Argument: "bug-report version", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Only log commands that would be run, don't fetch or write."},
	{Argument: "bug-report version", Text: "--duration", Alias: "", Provider: "", Description: "How far to go back in time from end-time for log entries to include in the archive. Default is infinity. If set, start-time must be unset. (default '0s')"},
	{Argument: "bug-report version", Text: "--end-time", Alias: "", Provider: "", Description: "End time for the range of log entries to include in the archive. Default is now. (default '')"},
	{Argument: "bug-report version", Text: "--exclude", Alias: "", Provider: "namespace", Description: "Spec for which pod's proxy logs to exclude from the archive, after the include spec is processed. See above for format and examples. (default '['kube-system, kube-public, kube-node-lease, local-path-storage']')"},
	{Argument: "bug-report version", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to a file containing configuration in YAML format. The file contents are applied over the default values and flag settings, with lists being replaced per JSON merge semantics. (default '')"},
	{Argument: "bug-report version", Text: "--full-secrets", Alias: "", Provider: "bool", Description: "If set, secret contents are included in output."},
	{Argument: "bug-report version", Text: "--ignore-errs", Alias: "", Provider: "", Description: "List of comma separated glob patterns to match against log error strings. Any error matching these patterns is ignored when calculating the log importance heuristic. (default '[]')"},
	{Argument: "bug-report version", Text: "--include", Alias: "", Provider: "", Description: "Spec for which pod's proxy logs to include in the archive. See above for format and examples. (default '[]')"},
	{Argument: "bug-report version", Text: "--istio-namespace", Alias: "", Provider: "namespace", Description: "Namespace where Istio control plane is installed. (default 'istio-system')"},
	{Argument: "bug-report version", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "bug-report version", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Path to kube config. (default '')"},
	{Argument: "bug-report version", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "bug-report version", Text: "--output", Alias: "-o", Provider: "output", Description: "One of 'yaml' or 'json'. (default '')"},
	{Argument: "bug-report version", Text: "--short", Alias: "-s", Provider: "bool", Description: "Use --short=false to generate full version information"},
	{Argument: "bug-report version", Text: "--start-time", Alias: "", Provider: "", Description: "Start time for the range of log entries to include in the archive. Default is the infinite past. If set, Since must be unset. (default '')"},
	{Argument: "bug-report version", Text: "--timeout", Alias: "", Provider: "", Description: "Maximum amount of time to spend fetching logs. When timeout is reached only the logs captured so far are saved to the archive. (default '30m0s')"},
	{Argument: "dashboard", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "dashboard", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard controlz", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard controlz", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard controlz", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard controlz", Text: "--ctrlz_port", Alias: "", Provider: "", Description: "ControlZ port (default '9876')"},
	{Argument: "dashboard controlz", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard controlz", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard controlz", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard controlz", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard controlz", Text: "--selector", Alias: "-l", Provider: "", Description: "Label selector (default '')"},
	{Argument: "dashboard envoy", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard envoy", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard envoy", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard envoy", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard envoy", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard envoy", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard envoy", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard envoy", Text: "--selector", Alias: "-l", Provider: "", Description: "Label selector (default '')"},
	{Argument: "dashboard grafana", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard grafana", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard grafana", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard grafana", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard grafana", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard grafana", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard grafana", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard jaeger", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard jaeger", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard jaeger", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard jaeger", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard jaeger", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard jaeger", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard jaeger", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard kiali", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard kiali", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard kiali", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard kiali", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard kiali", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard kiali", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard kiali", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard prometheus", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard prometheus", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard prometheus", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard prometheus", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard prometheus", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard prometheus", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard prometheus", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "dashboard zipkin", Text: "--address", Alias: "", Provider: "", Description: "Address to listen on. Only accepts IP address or localhost as a value. When localhost is supplied, istioctl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these address are available to bind. (default 'localhost')"},
	{Argument: "dashboard zipkin", Text: "--browser", Alias: "", Provider: "bool", Description: "When --browser is supplied as false, istioctl dashboard will not open the browser. Default is true which means istioctl dashboard will always open a browser to view the dashboard."},
	{Argument: "dashboard zipkin", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "dashboard zipkin", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "dashboard zipkin", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "dashboard zipkin", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Namespace where the addon is running, if not specified, istio-system would be used (default 'istio-system')"},
	{Argument: "dashboard zipkin", Text: "--port", Alias: "-p", Provider: "", Description: "Local port to listen to (default '0')"},
	{Argument: "experimental", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental add-to-mesh", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental add-to-mesh", Text: "--injectConfigFile", Alias: "", Provider: "path", Description: "Injection configuration filename. Cannot be used with --injectConfigMapName (default '')"},
	{Argument: "experimental add-to-mesh", Text: "--injectConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio sidecar injection, key should be 'config'. (default 'istio-sidecar-injector')"},
	{Argument: "experimental add-to-mesh", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental add-to-mesh", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental add-to-mesh", Text: "--meshConfigFile", Alias: "", Provider: "path", Description: "Mesh configuration filename. Takes precedence over --meshConfigMapName if set (default '')"},
	{Argument: "experimental add-to-mesh", Text: "--meshConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio mesh configuration, key should be 'mesh' (default 'istio')"},
	{Argument: "experimental add-to-mesh", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental add-to-mesh", Text: "--valuesFile", Alias: "", Provider: "path", Description: "Injection values configuration filename. (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--injectConfigFile", Alias: "", Provider: "path", Description: "Injection configuration filename. Cannot be used with --injectConfigMapName (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--injectConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio sidecar injection, key should be 'config'. (default 'istio-sidecar-injector')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--meshConfigFile", Alias: "", Provider: "path", Description: "Mesh configuration filename. Takes precedence over --meshConfigMapName if set (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--meshConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio mesh configuration, key should be 'mesh' (default 'istio')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental add-to-mesh deployment", Text: "--valuesFile", Alias: "", Provider: "path", Description: "Injection values configuration filename. (default '')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--annotations", Alias: "-a", Provider: "", Description: "List of string annotations to apply if creating a service/endpoint; e.g. -a foo=bar,x=y (default '[]')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--injectConfigFile", Alias: "", Provider: "path", Description: "Injection configuration filename. Cannot be used with --injectConfigMapName (default '')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--injectConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio sidecar injection, key should be 'config'. (default 'istio-sidecar-injector')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--labels", Alias: "-l", Provider: "", Description: "List of labels to apply if creating a service/endpoint; e.g. -l env=prod,vers=2 (default '[]')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--meshConfigFile", Alias: "", Provider: "path", Description: "Mesh configuration filename. Takes precedence over --meshConfigMapName if set (default '')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--meshConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio mesh configuration, key should be 'mesh' (default 'istio')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--serviceaccount", Alias: "-s", Provider: "serviceaccount", Description: "Service account to link to the service (default 'default')"},
	{Argument: "experimental add-to-mesh external-service", Text: "--valuesFile", Alias: "", Provider: "path", Description: "Injection values configuration filename. (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--injectConfigFile", Alias: "", Provider: "path", Description: "Injection configuration filename. Cannot be used with --injectConfigMapName (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--injectConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio sidecar injection, key should be 'config'. (default 'istio-sidecar-injector')"},
	{Argument: "experimental add-to-mesh service", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental add-to-mesh service", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--meshConfigFile", Alias: "", Provider: "path", Description: "Mesh configuration filename. Takes precedence over --meshConfigMapName if set (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--meshConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio mesh configuration, key should be 'mesh' (default 'istio')"},
	{Argument: "experimental add-to-mesh service", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental add-to-mesh service", Text: "--valuesFile", Alias: "", Provider: "path", Description: "Injection values configuration filename. (default '')"},
	{Argument: "experimental authz", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental authz", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental authz", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental authz", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental authz check", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental authz check", Text: "--file", Alias: "-f", Provider: "path", Description: "The json file with Envoy config dump to be checked (default '')"},
	{Argument: "experimental authz check", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental authz check", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental authz check", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental config", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental config", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental config", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental config", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental config list", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental config list", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental config list", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental config list", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--auth-plugin-config", Alias: "", Provider: "", Description: "Authenticator plug-in configuration. --auth-type=plugin must be set with this option (default '[]')"},
	{Argument: "experimental create-remote-secret", Text: "--auth-plugin-name", Alias: "", Provider: "", Description: "Authenticator plug-in name. --auth-type=plugin must be set with this option (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--auth-type", Alias: "", Provider: "", Description: "Type of authentication to use. supported values = [bearer-token plugin] (default 'bearer-token')"},
	{Argument: "experimental create-remote-secret", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--create-service-account", Alias: "", Provider: "bool", Description: "If true, the service account needed for creating the remote secret will be created if it doesn't exist."},
	{Argument: "experimental create-remote-secret", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental create-remote-secret", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--name", Alias: "", Provider: "", Description: "Name of the local cluster whose credentials are stored in the secret. If a name is not specified the kube-system namespace's UUID of the local cluster will be used. (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--secret-name", Alias: "", Provider: "secret", Description: "The name of the specific secret to use from the service-account. Needed when there are multiple secrets in the service account. (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--server", Alias: "", Provider: "", Description: "The address and port of the Kubernetes API server. (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--service-account", Alias: "", Provider: "", Description: "Create a secret with this service account's credentials. Use 'istio-reader-service-account' as default value if --type is 'remote', use 'istiod-service-account' as default value if --type is 'config'. (default '')"},
	{Argument: "experimental create-remote-secret", Text: "--type", Alias: "", Provider: "", Description: "Type of the generated secret. supported values = [remote config] (default 'remote')"},
	{Argument: "experimental describe", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental describe", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental describe", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental describe", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental describe pod", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental describe pod", Text: "--ignoreUnmeshed", Alias: "", Provider: "bool", Description: "Suppress warnings for unmeshed pods"},
	{Argument: "experimental describe pod", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental describe pod", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental describe pod", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental describe service", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental describe service", Text: "--ignoreUnmeshed", Alias: "", Provider: "bool", Description: "Suppress warnings for unmeshed pods"},
	{Argument: "experimental describe service", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental describe service", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental describe service", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental injector", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental injector", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental injector", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental injector", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental injector list", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental injector list", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental injector list", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental injector list", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental internal-debug", Text: "--authority", Alias: "", Provider: "", Description: "XDS Subject Alternative Name (for example istiod.istio-system.svc) (default '')"},
	{Argument: "experimental internal-debug", Text: "--cert-dir", Alias: "", Provider: "path", Description: "XDS Endpoint certificate directory (default '')"},
	{Argument: "experimental internal-debug", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental internal-debug", Text: "--insecure", Alias: "", Provider: "bool", Description: "Skip server certificate and domain verification. (NOT SECURE!)"},
	{Argument: "experimental internal-debug", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental internal-debug", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental internal-debug", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental internal-debug", Text: "--plaintext", Alias: "", Provider: "bool", Description: "Use plain-text HTTP/2 when connecting to server (no TLS)."},
	{Argument: "experimental internal-debug", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental internal-debug", Text: "--timeout", Alias: "", Provider: "", Description: "The duration to wait before failing (default '30s')"},
	{Argument: "experimental internal-debug", Text: "--xds-address", Alias: "", Provider: "", Description: "XDS Endpoint (default '')"},
	{Argument: "experimental internal-debug", Text: "--xds-label", Alias: "", Provider: "", Description: "Istiod pod label selector (default '')"},
	{Argument: "experimental internal-debug", Text: "--xds-port", Alias: "", Provider: "", Description: "Istiod pod port (default '15012')"},
	{Argument: "experimental kube-uninject", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental kube-uninject", Text: "--filename", Alias: "-f", Provider: "path", Description: "Input Kubernetes resource filename (default '')"},
	{Argument: "experimental kube-uninject", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental kube-uninject", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental kube-uninject", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental kube-uninject", Text: "--output", Alias: "-o", Provider: "output", Description: "Modified output Kubernetes resource filename (default '')"},
	{Argument: "experimental metrics", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental metrics", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental metrics", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental metrics", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental precheck", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental precheck", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental precheck", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental precheck", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental precheck", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental precheck", Text: "--skip-controlplane", Alias: "", Provider: "bool", Description: "skip checking the control plane"},
	{Argument: "experimental proxy-status", Text: "--authority", Alias: "", Provider: "", Description: "XDS Subject Alternative Name (for example istiod.istio-system.svc) (default '')"},
	{Argument: "experimental proxy-status", Text: "--cert-dir", Alias: "", Provider: "path", Description: "XDS Endpoint certificate directory (default '')"},
	{Argument: "experimental proxy-status", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental proxy-status", Text: "--insecure", Alias: "", Provider: "bool", Description: "Skip server certificate and domain verification. (NOT SECURE!)"},
	{Argument: "experimental proxy-status", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental proxy-status", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental proxy-status", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental proxy-status", Text: "--plaintext", Alias: "", Provider: "bool", Description: "Use plain-text HTTP/2 when connecting to server (no TLS)."},
	{Argument: "experimental proxy-status", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental proxy-status", Text: "--timeout", Alias: "", Provider: "", Description: "The duration to wait before failing (default '30s')"},
	{Argument: "experimental proxy-status", Text: "--xds-address", Alias: "", Provider: "", Description: "XDS Endpoint (default '')"},
	{Argument: "experimental proxy-status", Text: "--xds-label", Alias: "", Provider: "", Description: "Istiod pod label selector (default '')"},
	{Argument: "experimental proxy-status", Text: "--xds-port", Alias: "", Provider: "", Description: "Istiod pod port (default '15012')"},
	{Argument: "experimental remove-from-mesh", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental remove-from-mesh", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental remove-from-mesh", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental remove-from-mesh", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental remove-from-mesh deployment", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental remove-from-mesh deployment", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental remove-from-mesh deployment", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental remove-from-mesh deployment", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental remove-from-mesh external-service", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental remove-from-mesh external-service", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental remove-from-mesh external-service", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental remove-from-mesh external-service", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental remove-from-mesh service", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental remove-from-mesh service", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental remove-from-mesh service", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental remove-from-mesh service", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision describe", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision describe", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision describe", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision describe", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision describe", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision describe", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision describe", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision list", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision list", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision list", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision list", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision list", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision list", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision list", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision tag", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision tag", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision tag", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision tag", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision tag", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision tag", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision tag", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision tag generate", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision tag generate", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision tag generate", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision tag generate", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision tag generate", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision tag generate", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision tag generate", Text: "--overwrite", Alias: "", Provider: "bool", Description: "If true, allow revision tags to be overwritten, otherwise reject revision tag updates that overwrite existing revision tags."},
	{Argument: "experimental revision tag generate", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision to reference from a given revision tag (default '')"},
	{Argument: "experimental revision tag generate", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "The skipConfirmation determines whether the user is prompted for confirmation. If set to true, the user is not prompted and a Yes response is assumed in all cases."},
	{Argument: "experimental revision tag generate", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision tag generate", Text: "--webhook-name", Alias: "", Provider: "", Description: "Name to use for a revision tag's mutating webhook configuration. (default '')"},
	{Argument: "experimental revision tag list", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision tag list", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision tag list", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision tag list", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision tag list", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision tag list", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision tag list", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision tag remove", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision tag remove", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision tag remove", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision tag remove", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision tag remove", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision tag remove", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision tag remove", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "The skipConfirmation determines whether the user is prompted for confirmation. If set to true, the user is not prompted and a Yes response is assumed in all cases."},
	{Argument: "experimental revision tag remove", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision tag set", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental revision tag set", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental revision tag set", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental revision tag set", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental revision tag set", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental revision tag set", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format for revision description (available formats: table,json) (default 'table')"},
	{Argument: "experimental revision tag set", Text: "--overwrite", Alias: "", Provider: "bool", Description: "If true, allow revision tags to be overwritten, otherwise reject revision tag updates that overwrite existing revision tags."},
	{Argument: "experimental revision tag set", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision to reference from a given revision tag (default '')"},
	{Argument: "experimental revision tag set", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "The skipConfirmation determines whether the user is prompted for confirmation. If set to true, the user is not prompted and a Yes response is assumed in all cases."},
	{Argument: "experimental revision tag set", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Enable verbose output"},
	{Argument: "experimental revision tag set", Text: "--webhook-name", Alias: "", Provider: "", Description: "Name to use for a revision tag's mutating webhook configuration. (default '')"},
	{Argument: "experimental uninstall", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental uninstall", Text: "--filename", Alias: "-f", Provider: "path", Description: "The filename of the IstioOperator CR. (default '')"},
	{Argument: "experimental uninstall", Text: "--force", Alias: "", Provider: "bool", Description: "Proceed even with validation errors."},
	{Argument: "experimental uninstall", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental uninstall", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental uninstall", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "experimental uninstall", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental uninstall", Text: "--purge", Alias: "", Provider: "bool", Description: "Delete all Istio related sources for all versions"},
	{Argument: "experimental uninstall", Text: "--revision", Alias: "-r", Provider: "", Description: "Target control plane revision for the command. (default '')"},
	{Argument: "experimental uninstall", Text: "--set", Alias: "-s", Provider: "", Description: "Override an IstioOperator value, e.g. to choose a profile (--set profile=demo), enable or disable components (--set components.cni.enabled=true), or override Istio settings (--set meshConfig.enableTracing=true). See documentation for more info:https://istio.io/v1.10/docs/reference/config/istio.operator.v1alpha1/#IstioOperatorSpec (default '[]')"},
	{Argument: "experimental uninstall", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "The skipConfirmation determines whether the user is prompted for confirmation. If set to true, the user is not prompted and a Yes response is assumed in all cases."},
	{Argument: "experimental uninstall", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Verbose output."},
	{Argument: "experimental version", Text: "--authority", Alias: "", Provider: "", Description: "XDS Subject Alternative Name (for example istiod.istio-system.svc) (default '')"},
	{Argument: "experimental version", Text: "--cert-dir", Alias: "", Provider: "path", Description: "XDS Endpoint certificate directory (default '')"},
	{Argument: "experimental version", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental version", Text: "--insecure", Alias: "", Provider: "bool", Description: "Skip server certificate and domain verification. (NOT SECURE!)"},
	{Argument: "experimental version", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental version", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental version", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental version", Text: "--output", Alias: "-o", Provider: "output", Description: "One of 'yaml' or 'json'. (default '')"},
	{Argument: "experimental version", Text: "--plaintext", Alias: "", Provider: "bool", Description: "Use plain-text HTTP/2 when connecting to server (no TLS)."},
	{Argument: "experimental version", Text: "--remote", Alias: "", Provider: "bool", Description: "Use --remote=false to suppress control plane check"},
	{Argument: "experimental version", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental version", Text: "--short", Alias: "-s", Provider: "bool", Description: "Use --short=false to generate full version information"},
	{Argument: "experimental version", Text: "--timeout", Alias: "", Provider: "", Description: "The duration to wait before failing (default '30s')"},
	{Argument: "experimental version", Text: "--xds-address", Alias: "", Provider: "", Description: "XDS Endpoint (default '')"},
	{Argument: "experimental version", Text: "--xds-label", Alias: "", Provider: "", Description: "Istiod pod label selector (default '')"},
	{Argument: "experimental version", Text: "--xds-port", Alias: "", Provider: "", Description: "Istiod pod port (default '15012')"},
	{Argument: "experimental wait", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental wait", Text: "--for", Alias: "", Provider: "", Description: "Wait condition, must be 'distribution' or 'delete' (default 'distribution')"},
	{Argument: "experimental wait", Text: "--generation", Alias: "", Provider: "", Description: "Wait for a specific generation of config to become current, rather than using whatever is latest in Kubernetes (default '')"},
	{Argument: "experimental wait", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental wait", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental wait", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental wait", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental wait", Text: "--threshold", Alias: "", Provider: "", Description: "The ratio of distribution required for success (default '1')"},
	{Argument: "experimental wait", Text: "--timeout", Alias: "", Provider: "", Description: "The duration to wait before failing (default '30s')"},
	{Argument: "experimental workload", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental workload", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental workload", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental workload", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental workload entry", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental workload entry", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental workload entry", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental workload entry", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental workload entry configure", Text: "--autoregister", Alias: "", Provider: "bool", Description: "Creates a WorkloadEntry upon connection to istiod (if enabled in pilot)."},
	{Argument: "experimental workload entry configure", Text: "--capture-dns", Alias: "", Provider: "bool", Description: "Enables the capture of outgoing DNS packets on port 53, redirecting to istio-agent"},
	{Argument: "experimental workload entry configure", Text: "--clusterID", Alias: "", Provider: "", Description: "The ID used to identify the cluster (default 'Kubernetes')"},
	{Argument: "experimental workload entry configure", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental workload entry configure", Text: "--file", Alias: "-f", Provider: "path", Description: "filename of the WorkloadGroup artifact. Leave this field empty if using the API server (default '')"},
	{Argument: "experimental workload entry configure", Text: "--ingressIP", Alias: "", Provider: "", Description: "IP address of the ingress gateway (default '')"},
	{Argument: "experimental workload entry configure", Text: "--ingressService", Alias: "", Provider: "", Description: "Name of the Service to be used as the ingress gateway, in the format <service>.<namespace>. If no namespace is provided, the default istio-system namespace will be used. (default 'istio-eastwestgateway')"},
	{Argument: "experimental workload entry configure", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental workload entry configure", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental workload entry configure", Text: "--name", Alias: "", Provider: "", Description: "The name of the workload group (default '')"},
	{Argument: "experimental workload entry configure", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental workload entry configure", Text: "--output", Alias: "-o", Provider: "output", Description: "Output directory for generated files (default '')"},
	{Argument: "experimental workload entry configure", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "experimental workload entry configure", Text: "--tokenDuration", Alias: "", Provider: "", Description: "The token duration in seconds (default: 1 hour) (default '3600')"},
	{Argument: "experimental workload group", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental workload group", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental workload group", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental workload group", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental workload group create", Text: "--annotations", Alias: "-a", Provider: "", Description: "The annotations to apply to the workload instances (default '[]')"},
	{Argument: "experimental workload group create", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "experimental workload group create", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "experimental workload group create", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "experimental workload group create", Text: "--labels", Alias: "-l", Provider: "", Description: "The labels to apply to the workload instances; e.g. -l env=prod,vers=2 (default '[]')"},
	{Argument: "experimental workload group create", Text: "--name", Alias: "", Provider: "", Description: "The name of the workload group (default '')"},
	{Argument: "experimental workload group create", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "experimental workload group create", Text: "--ports", Alias: "-p", Provider: "", Description: "The incoming ports exposed by the workload instance (default '[]')"},
	{Argument: "experimental workload group create", Text: "--serviceAccount", Alias: "-s", Provider: "serviceaccount", Description: "The service identity to associate with the workload instances (default 'default')"},
	{Argument: "install", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "install", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "install", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "install", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to file containing IstioOperator custom resource This flag can be specified multiple times to overlay multiple files. Multiple files are overlaid in left to right order. (default '[]')"},
	{Argument: "install", Text: "--force", Alias: "", Provider: "bool", Description: "Proceed even with validation errors."},
	{Argument: "install", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "install", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "install", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "install", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "install", Text: "--readiness-timeout", Alias: "", Provider: "", Description: "Maximum time to wait for Istio resources in each component to be ready. (default '5m0s')"},
	{Argument: "install", Text: "--revision", Alias: "-r", Provider: "", Description: "Target control plane revision for the command. (default '')"},
	{Argument: "install", Text: "--set", Alias: "-s", Provider: "", Description: "Override an IstioOperator value, e.g. to choose a profile (--set profile=demo), enable or disable components (--set components.cni.enabled=true), or override Istio settings (--set meshConfig.enableTracing=true). See documentation for more info:https://istio.io/v1.10/docs/reference/config/istio.operator.v1alpha1/#IstioOperatorSpec (default '[]')"},
	{Argument: "install", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "The skipConfirmation determines whether the user is prompted for confirmation. If set to true, the user is not prompted and a Yes response is assumed in all cases."},
	{Argument: "install", Text: "--verify", Alias: "", Provider: "bool", Description: "Verify the Istio control plane after installation/in-place upgrade"},
	{Argument: "kube-inject", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "kube-inject", Text: "--filename", Alias: "-f", Provider: "path", Description: "Input Kubernetes resource filename (default '')"},
	{Argument: "kube-inject", Text: "--injectConfigFile", Alias: "", Provider: "path", Description: "Injection configuration filename. Cannot be used with --injectConfigMapName (default '')"},
	{Argument: "kube-inject", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "kube-inject", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "kube-inject", Text: "--meshConfigFile", Alias: "", Provider: "path", Description: "Mesh configuration filename. Takes precedence over --meshConfigMapName if set (default '')"},
	{Argument: "kube-inject", Text: "--meshConfigMapName", Alias: "", Provider: "configmap", Description: "ConfigMap name for Istio mesh configuration, key should be 'mesh' (default 'istio')"},
	{Argument: "kube-inject", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "kube-inject", Text: "--output", Alias: "-o", Provider: "output", Description: "Modified output Kubernetes resource filename (default '')"},
	{Argument: "kube-inject", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "kube-inject", Text: "--valuesFile", Alias: "", Provider: "path", Description: "injection values configuration filename. (default '')"},
	{Argument: "kube-inject", Text: "--webhookConfig", Alias: "", Provider: "", Description: "MutatingWebhookConfiguration name for Istio (default 'istio-sidecar-injector')"},
	{Argument: "manifest", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "manifest", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "manifest", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "manifest", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "manifest", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "manifest diff", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "manifest diff", Text: "--directory", Alias: "-r", Provider: "bool", Description: "Compare directory."},
	{Argument: "manifest diff", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "manifest diff", Text: "--ignore", Alias: "", Provider: "", Description: "Ignore all listed items during comparison, using the same list format as selectResources. (default '')"},
	{Argument: "manifest diff", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "manifest diff", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "manifest diff", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "manifest diff", Text: "--rename", Alias: "", Provider: "", Description: "Rename resources before comparison. The format of each renaming pair is A->B, all renaming pairs are comma separated. e.g. Service:*:istiod->Service:*:istio-control - rename istiod service into istio-control (default '')"},
	{Argument: "manifest diff", Text: "--select", Alias: "", Provider: "", Description: "Constrain the list of resources to compare to only the ones in this list, ignoring all others. The format of each list item is '::' and the items are comma separated. The '*' character represents wildcard selection. e.g. Deployment:istio-system:* - compare all deployments in istio-system namespace Service:*:istiod - compare Services called 'istiod' in all namespaces (default '::')"},
	{Argument: "manifest diff", Text: "--verbose", Alias: "-v", Provider: "bool", Description: "Verbose output."},
	{Argument: "manifest generate", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "manifest generate", Text: "--component", Alias: "", Provider: "", Description: "Specify which component to generate manifests for. (default '[]')"},
	{Argument: "manifest generate", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "manifest generate", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "manifest generate", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to file containing IstioOperator custom resource This flag can be specified multiple times to overlay multiple files. Multiple files are overlaid in left to right order. (default '[]')"},
	{Argument: "manifest generate", Text: "--force", Alias: "", Provider: "bool", Description: "Proceed even with validation errors."},
	{Argument: "manifest generate", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "manifest generate", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "manifest generate", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "manifest generate", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "manifest generate", Text: "--output", Alias: "-o", Provider: "output", Description: "Manifest output directory path. (default '')"},
	{Argument: "manifest generate", Text: "--revision", Alias: "-r", Provider: "", Description: "Target control plane revision for the command. (default '')"},
	{Argument: "manifest generate", Text: "--set", Alias: "-s", Provider: "", Description: "Override an IstioOperator value, e.g. to choose a profile (--set profile=demo), enable or disable components (--set components.cni.enabled=true), or override Istio settings (--set meshConfig.enableTracing=true). See documentation for more info:https://istio.io/v1.10/docs/reference/config/istio.operator.v1alpha1/#IstioOperatorSpec (default '[]')"},
	{Argument: "manifest install", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "manifest install", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "manifest install", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "manifest install", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to file containing IstioOperator custom resource This flag can be specified multiple times to overlay multiple files. Multiple files are overlaid in left to right order. (default '[]')"},
	{Argument: "manifest install", Text: "--force", Alias: "", Provider: "bool", Description: "Proceed even with validation errors."},
	{Argument: "manifest install", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "manifest install", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "manifest install", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "manifest install", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "manifest install", Text: "--readiness-timeout", Alias: "", Provider: "", Description: "Maximum time to wait for Istio resources in each component to be ready. (default '5m0s')"},
	{Argument: "manifest install", Text: "--revision", Alias: "-r", Provider: "", Description: "Target control plane revision for the command. (default '')"},
	{Argument: "manifest install", Text: "--set", Alias: "-s", Provider: "", Description: "Override an IstioOperator value, e.g. to choose a profile (--set profile=demo), enable or disable components (--set components.cni.enabled=true), or override Istio settings (--set meshConfig.enableTracing=true). See documentation for more info:https://istio.io/v1.10/docs/reference/config/istio.operator.v1alpha1/#IstioOperatorSpec (default '[]')"},
	{Argument: "manifest install", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "The skipConfirmation determines whether the user is prompted for confirmation. If set to true, the user is not prompted and a Yes response is assumed in all cases."},
	{Argument: "manifest install", Text: "--verify", Alias: "", Provider: "bool", Description: "Verify the Istio control plane after installation/in-place upgrade"},
	{Argument: "operator", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "operator", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "operator", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "operator", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "operator dump", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "operator dump", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "operator dump", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "operator dump", Text: "--hub", Alias: "", Provider: "", Description: "The hub for the operator controller image. (default 'unknown')"},
	{Argument: "operator dump", Text: "--imagePullSecrets", Alias: "", Provider: "", Description: "The imagePullSecrets are used to pull the operator image from the private registry, could be secret list separated by comma, eg. '--imagePullSecrets imagePullSecret1,imagePullSecret2' (default '[]')"},
	{Argument: "operator dump", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "operator dump", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "operator dump", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "operator dump", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "operator dump", Text: "--operatorNamespace", Alias: "", Provider: "namespace", Description: "The namespace the operator controller is installed into. (default 'istio-operator')"},
	{Argument: "operator dump", Text: "--revision", Alias: "-r", Provider: "", Description: "Target revision for the operator. (default '')"},
	{Argument: "operator dump", Text: "--tag", Alias: "", Provider: "", Description: "The tag for the operator controller image. (default 'unknown')"},
	{Argument: "operator init", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "operator init", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "operator init", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "operator init", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to file containing IstioOperator custom resource This flag can be specified multiple times to overlay multiple files. Multiple files are overlaid in left to right order. (default '')"},
	{Argument: "operator init", Text: "--hub", Alias: "", Provider: "", Description: "The hub for the operator controller image. (default 'unknown')"},
	{Argument: "operator init", Text: "--imagePullSecrets", Alias: "", Provider: "", Description: "The imagePullSecrets are used to pull the operator image from the private registry, could be secret list separated by comma, eg. '--imagePullSecrets imagePullSecret1,imagePullSecret2' (default '[]')"},
	{Argument: "operator init", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "operator init", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "operator init", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "operator init", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "operator init", Text: "--operatorNamespace", Alias: "", Provider: "namespace", Description: "The namespace the operator controller is installed into. (default 'istio-operator')"},
	{Argument: "operator init", Text: "--revision", Alias: "-r", Provider: "", Description: "Target revision for the operator. (default '')"},
	{Argument: "operator init", Text: "--tag", Alias: "", Provider: "", Description: "The tag for the operator controller image. (default 'unknown')"},
	{Argument: "operator init", Text: "--watchedNamespaces", Alias: "", Provider: "namespace", Description: "The namespaces the operator controller watches, could be namespace list separated by comma, eg. 'ns1,ns2' (default 'istio-system')"},
	{Argument: "operator remove", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "operator remove", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "operator remove", Text: "--force", Alias: "", Provider: "bool", Description: "Proceed even with validation errors."},
	{Argument: "operator remove", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "operator remove", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "operator remove", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "operator remove", Text: "--operatorNamespace", Alias: "", Provider: "namespace", Description: "The namespace the operator controller is installed into. (default 'istio-operator')"},
	{Argument: "operator remove", Text: "--revision", Alias: "-r", Provider: "", Description: "Target revision for the operator. (default '')"},
	{Argument: "options", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "options", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "options", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "options", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "profile", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "profile", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "profile", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "profile", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "profile", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "profile diff", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "profile diff", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "profile diff", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "profile diff", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "profile diff", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "profile diff", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "profile diff", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "profile dump", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "profile dump", Text: "--config-path", Alias: "-p", Provider: "path", Description: "The path the root of the configuration subtree to dump e.g. components.pilot. By default, dump whole tree (default '')"},
	{Argument: "profile dump", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "profile dump", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "profile dump", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to file containing IstioOperator custom resource This flag can be specified multiple times to overlay multiple files. Multiple files are overlaid in left to right order. (default '[]')"},
	{Argument: "profile dump", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "profile dump", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "profile dump", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "profile dump", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "profile dump", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|flags (default 'yaml')"},
	{Argument: "profile list", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "profile list", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "profile list", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "profile list", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "profile list", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "profile list", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "profile list", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config all", Text: "--address", Alias: "", Provider: "", Description: "Filter listeners by address field (default '')"},
	{Argument: "proxy-config all", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config all", Text: "--direction", Alias: "", Provider: "", Description: "Filter clusters by Direction field (default '')"},
	{Argument: "proxy-config all", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump file (default '')"},
	{Argument: "proxy-config all", Text: "--fqdn", Alias: "", Provider: "", Description: "Filter clusters by substring of Service FQDN field (default '')"},
	{Argument: "proxy-config all", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config all", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config all", Text: "--name", Alias: "", Provider: "", Description: "Filter listeners by route name field (default '')"},
	{Argument: "proxy-config all", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config all", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config all", Text: "--port", Alias: "", Provider: "", Description: "Filter clusters and listeners by Port field (default '0')"},
	{Argument: "proxy-config all", Text: "--subset", Alias: "", Provider: "", Description: "Filter clusters by substring of Subset field (default '')"},
	{Argument: "proxy-config all", Text: "--type", Alias: "", Provider: "", Description: "Filter listeners by type field (default '')"},
	{Argument: "proxy-config all", Text: "--verbose", Alias: "", Provider: "bool", Description: "Output more information"},
	{Argument: "proxy-config bootstrap", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config bootstrap", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-config bootstrap", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config bootstrap", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config bootstrap", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config bootstrap", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config cluster", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config cluster", Text: "--direction", Alias: "", Provider: "", Description: "Filter clusters by Direction field (default '')"},
	{Argument: "proxy-config cluster", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-config cluster", Text: "--fqdn", Alias: "", Provider: "", Description: "Filter clusters by substring of Service FQDN field (default '')"},
	{Argument: "proxy-config cluster", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config cluster", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config cluster", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config cluster", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config cluster", Text: "--port", Alias: "", Provider: "", Description: "Filter clusters by Port field (default '0')"},
	{Argument: "proxy-config cluster", Text: "--subset", Alias: "", Provider: "", Description: "Filter clusters by substring of Subset field (default '')"},
	{Argument: "proxy-config endpoint", Text: "--address", Alias: "", Provider: "", Description: "Filter endpoints by address field (default '')"},
	{Argument: "proxy-config endpoint", Text: "--cluster", Alias: "", Provider: "", Description: "Filter endpoints by cluster name field (default '')"},
	{Argument: "proxy-config endpoint", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config endpoint", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-config endpoint", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config endpoint", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config endpoint", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config endpoint", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config endpoint", Text: "--port", Alias: "", Provider: "", Description: "Filter endpoints by Port field (default '0')"},
	{Argument: "proxy-config endpoint", Text: "--status", Alias: "", Provider: "", Description: "Filter endpoints by status field (default '')"},
	{Argument: "proxy-config listener", Text: "--address", Alias: "", Provider: "", Description: "Filter listeners by address field (default '')"},
	{Argument: "proxy-config listener", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config listener", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-config listener", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config listener", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config listener", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config listener", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config listener", Text: "--port", Alias: "", Provider: "", Description: "Filter listeners by Port field (default '0')"},
	{Argument: "proxy-config listener", Text: "--type", Alias: "", Provider: "", Description: "Filter listeners by type field (default '')"},
	{Argument: "proxy-config listener", Text: "--verbose", Alias: "", Provider: "bool", Description: "Output more information"},
	{Argument: "proxy-config log", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config log", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config log", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config log", Text: "--level", Alias: "", Provider: "", Description: "Comma-separated minimum per-logger level of messages to output, in the form of [<logger>:]<level>,[<logger>:]<level>,... where logger can be one of admin, aws, assert, backtrace, client, config, connection, conn_handler, dubbo, file, filter, forward_proxy, grpc, hc, health_checker, http, http2, hystrix, init, io, jwt, kafka, lua, main, misc, mongo, quic, pool, rbac, redis, router, runtime, stats, secret, tap, testing, thrift, tracing, upstream, udp, wasm and level can be one of [trace, debug, info, warning, error, critical, off] (default '')"},
	{Argument: "proxy-config log", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config log", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config log", Text: "--reset", Alias: "-r", Provider: "bool", Description: "Reset levels to default value (warning)."},
	{Argument: "proxy-config log", Text: "--selector", Alias: "-l", Provider: "", Description: "Label selector (default '')"},
	{Argument: "proxy-config route", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config route", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-config route", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config route", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config route", Text: "--name", Alias: "", Provider: "", Description: "Filter listeners by route name field (default '')"},
	{Argument: "proxy-config route", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config route", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-config route", Text: "--verbose", Alias: "", Provider: "bool", Description: "Output more information"},
	{Argument: "proxy-config secret", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-config secret", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-config secret", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-config secret", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-config secret", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-config secret", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format: one of json|yaml|short (default 'short')"},
	{Argument: "proxy-status", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "proxy-status", Text: "--file", Alias: "-f", Provider: "path", Description: "Envoy config dump JSON file (default '')"},
	{Argument: "proxy-status", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "proxy-status", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "proxy-status", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "proxy-status", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "upgrade", Text: "--charts", Alias: "", Provider: "path", Description: "Deprecated, use --manifests instead. (default '')"},
	{Argument: "upgrade", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "upgrade", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Console/log output only, make no changes."},
	{Argument: "upgrade", Text: "--filename", Alias: "-f", Provider: "path", Description: "Path to file containing IstioOperator custom resource This flag can be specified multiple times to overlay multiple files. Multiple files are overlaid in left to right order. (default '[]')"},
	{Argument: "upgrade", Text: "--force", Alias: "", Provider: "bool", Description: "Apply the upgrade without eligibility checks"},
	{Argument: "upgrade", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "upgrade", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "upgrade", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "upgrade", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "upgrade", Text: "--readiness-timeout", Alias: "", Provider: "", Description: "Maximum time to wait for Istio resources in each component to be ready. (default '5m0s')"},
	{Argument: "upgrade", Text: "--set", Alias: "-s", Provider: "", Description: "Override an IstioOperator value, e.g. to choose a profile (--set profile=demo), enable or disable components (--set components.cni.enabled=true), or override Istio settings (--set meshConfig.enableTracing=true). See documentation for more info:https://istio.io/v1.10/docs/reference/config/istio.operator.v1alpha1/#IstioOperatorSpec (default '[]')"},
	{Argument: "upgrade", Text: "--skip-confirmation", Alias: "-y", Provider: "bool", Description: "If skip-confirmation is set, skips the prompting confirmation for value changes in this upgrade"},
	{Argument: "upgrade", Text: "--verify", Alias: "", Provider: "bool", Description: "Verify the Istio control plane after installation/in-place upgrade"},
	{Argument: "validate", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "validate", Text: "--filename", Alias: "-f", Provider: "path", Description: "Names of files to validate (default '[]')"},
	{Argument: "validate", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "validate", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "validate", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "validate", Text: "--referential", Alias: "-x", Provider: "bool", Description: "Enable structural validation for policy and telemetry"},
	{Argument: "verify-install", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "verify-install", Text: "--filename", Alias: "-f", Provider: "path", Description: "Istio YAML installation file. (default '[]')"},
	{Argument: "verify-install", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "verify-install", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "verify-install", Text: "--manifests", Alias: "-d", Provider: "path", Description: "Specify a path to a directory of charts and profiles (e.g. ~/Downloads/istio-1.10.0/manifests) or release tar URL (e.g. https://github.com/istio/istio/releases/download/1.10/istio-1.10-linux-amd64.tar.gz). (default '')"},
	{Argument: "verify-install", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "verify-install", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "version", Text: "--context", Alias: "", Provider: "context", Description: "The name of the kubeconfig context to use (default '')"},
	{Argument: "version", Text: "--istioNamespace", Alias: "-i", Provider: "namespace", Description: "Istio system namespace (default 'istio-system')"},
	{Argument: "version", Text: "--kubeconfig", Alias: "-c", Provider: "path", Description: "Kubernetes configuration file (default '')"},
	{Argument: "version", Text: "--namespace", Alias: "-n", Provider: "namespace", Description: "Config namespace (default '')"},
	{Argument: "version", Text: "--output", Alias: "-o", Provider: "output", Description: "One of 'yaml' or 'json'. (default '')"},
	{Argument: "version", Text: "--remote", Alias: "", Provider: "bool", Description: "Use --remote=false to suppress control plane check"},
	{Argument: "version", Text: "--revision", Alias: "-r", Provider: "", Description: "Control plane revision (default '')"},
	{Argument: "version", Text: "--short", Alias: "-s", Provider: "bool", Description: "Use --short=false to generate full version information"},
}

var arguments = []prompt.Suggest{
	{Argument: "", Text: "admin", Alias: "", Provider: "argument", Description: "A group of commands used to manage istiod configuration"},
	{Argument: "admin", Text: "log", Alias: "", Provider: "pod", Description: "Retrieve or update logging levels of istiod components"},
	{Argument: "", Text: "analyze", Alias: "", Provider: "path", Description: "Analyze Istio configuration and print validation messages"},
	{Argument: "", Text: "authz", Alias: "", Provider: "", Description: "Check prints the AuthorizationPolicy applied to a pod by directly checking the Envoy configuration of the pod"},
	{Argument: "", Text: "bug-report", Alias: "", Provider: "", Description: "Selectively captures cluster information and logs into an archive to help diagnose problems"},
	{Argument: "", Text: "dashboard", Alias: "d", Provider: "argument", Description: "Access to Istio web UIs"},
	{Argument: "", Text: "install", Alias: "apply", Provider: "", Description: "The install command generates an Istio install manifest and applies it to a cluster"},
	{Argument: "", Text: "experimental", Alias: "", Provider: "argument", Description: "Experimental commands that may be modified or deprecated"},
	{Argument: "", Text: "kube-inject", Alias: "", Provider: "", Description: "Manually injects the Envoy sidecar into Kubernetes workloads"},
	{Argument: "", Text: "manifest", Alias: "", Provider: "argument", Description: "The manifest command generates and diffs Istio manifests"},
	{Argument: "", Text: "operator", Alias: "", Provider: "argument", Description: "The operator command installs, dumps, removes and shows the status of the operator controller"},
	{Argument: "", Text: "options", Alias: "", Provider: "", Description: "Displays istioctl global options"},
	{Argument: "", Text: "profile", Alias: "", Provider: "argument", Description: "The profile command lists, dumps or diffs Istio configuration profiles"},
	{Argument: "", Text: "proxy-config", Alias: "", Provider: "argument", Description: "A group of commands used to retrieve information about proxy configuration from the Envoy config dump"},
	{Argument: "", Text: "proxy-status", Alias: "", Provider: "", Description: "Retrieves last sent and last acknowledged xDS sync from Istiod to each Envoy in the mesh"},
	{Argument: "", Text: "upgrade", Alias: "", Provider: "", Description: "The upgrade command checks for upgrade version eligibility and, if eligible, upgrades the Istio control plane components in-place"},
	{Argument: "", Text: "validate", Alias: "", Provider: "", Description: "Validate Istio policy and rules files"},
	{Argument: "", Text: "verify-install", Alias: "", Provider: "", Description: "Verifies Istio installation status against the installation file you specified when you installed Istio"},
	{Argument: "", Text: "version", Alias: "", Provider: "", Description: "Prints out build version information"},
	{Argument: "dashboard", Text: "controlz", Alias: "", Provider: "", Description: "Open the ControlZ web UI for a pod in the Istio control plane"},
	{Argument: "dashboard", Text: "envoy", Alias: "", Provider: "", Description: "Open the Envoy admin dashboard for a sidecar"},
	{Argument: "dashboard", Text: "grafana", Alias: "", Provider: "", Description: "Open Istio's Grafana dashboard"},
	{Argument: "dashboard", Text: "jaeger", Alias: "", Provider: "", Description: "Open Istio's Jaeger dashboard"},
	{Argument: "dashboard", Text: "kiali", Alias: "", Provider: "", Description: "Open Istio's Kiali dashboard"},
	{Argument: "dashboard", Text: "prometheus", Alias: "", Provider: "", Description: "Open Istio's Prometheus dashboard"},
	{Argument: "dashboard", Text: "zipkin", Alias: "", Provider: "", Description: "Open Istio's Zipkin dashboard"},
	{Argument: "experimental", Text: "add-to-mesh", Alias: "", Provider: "argument", Description: "Restarts pods with an Istio sidecar or configures meshed pod access to external services."},
	{Argument: "experimental add-to-mesh", Text: "deployment", Alias: "dep", Provider: "deployment", Description: "Restarts pods with the Istio sidecar. Use 'add-to-mesh' to test deployments for compatibility with Istio"},
	{Argument: "experimental add-to-mesh", Text: "external-service", Alias: "", Provider: "", Description: "Create a ServiceEntry and a Service without selector for the specified external service in Istio service mesh"},
	{Argument: "experimental add-to-mesh", Text: "service", Alias: "svc", Provider: "service", Description: "Restarts pods with the Istio sidecar. Use 'add-to-mesh' to test deployments for compatibility with Istio."},
	{Argument: "experimental", Text: "authz", Alias: "", Provider: "argument", Description: "THIS COMMAND IS UNDER ACTIVE DEVELOPMENT AND NOT READY FOR PRODUCTION USE"},
	{Argument: "experimental authz", Text: "check", Alias: "", Provider: "", Description: "Check prints the AuthorizationPolicy applied to a pod by directly checking the Envoy configuration of the pod"},
	{Argument: "experimental", Text: "config", Alias: "", Provider: "argument", Description: "Configure istioctl defaults"},
	{Argument: "experimental config", Text: "list", Alias: "", Provider: "", Description: "List istio configurable defaults"},
	{Argument: "experimental config", Text: "create", Alias: "", Provider: "", Description: "Create a secret with credentials to allow Istio to access remote Kubernetes apiservers"},
	{Argument: "experimental", Text: "describe", Alias: "", Provider: "argument", Description: "Describe resource and related Istio configuration"},
	{Argument: "experimental describe", Text: "pod", Alias: "", Provider: "pod", Description: "Analyzes pod, its Services, DestinationRules, and VirtualServices and reports the configuration objects that affect that pod"},
	{Argument: "experimental describe", Text: "service", Alias: "svc", Provider: "service", Description: "Analyzes service, pods, DestinationRules, and VirtualServices and reports the configuration objects that affect that service"},
	{Argument: "experimental", Text: "injector", Alias: "", Provider: "argument", Description: "List sidecar injector and sidecar versions"},
	{Argument: "experimental injector", Text: "list", Alias: "", Provider: "", Description: "List sidecar injector and sidecar versions"},
	{Argument: "experimental", Text: "internal-debug", Alias: "", Provider: "", Description: "Retrieves the debug information from Istiod or Pods in the mesh using the service account from the pod if --cert-dir is empty"},
	{Argument: "experimental", Text: "kube-uninject", Alias: "", Provider: "", Description: "kube-uninject is used to prevent Istio from adding a sidecar and also provides the inverse of 'istioctl kube-inject -f'"},
	{Argument: "experimental", Text: "metrics", Alias: "m", Provider: "", Description: "Prints the metrics for the specified service(s) when running in Kubernetes"},
	{Argument: "experimental", Text: "precheck", Alias: "", Provider: "", Description: "Inspects a Kubernetes cluster for Istio install and upgrade requirements"},
	{Argument: "experimental", Text: "proxy-status", Alias: "ps", Provider: "", Description: "Retrieves last sent and last acknowledged xDS sync from Istiod to each Envoy in the mesh"},
	{Argument: "experimental", Text: "remove-from-mesh", Alias: "rm", Provider: "argument", Description: "Restarts pods without an Istio sidecar or removes external service access configuration"},
	{Argument: "experimental remove-from-mesh", Text: "deployment", Alias: "", Provider: "", Description: "Restarts pods with the Istio sidecar un-injected. 'remove-from-mesh' is a compatibility troubleshooting tool"},
	{Argument: "experimental remove-from-mesh", Text: "external-service", Alias: "es", Provider: "service", Description: "Removes the ServiceEntry and the Kubernetes Service for the specified external service"},
	{Argument: "experimental remove-from-mesh", Text: "service", Alias: "", Provider: "", Description: "Restarts pods with the Istio sidecar un-injected. 'remove-from-mesh' is a compatibility troubleshooting tool"},
	{Argument: "experimental", Text: "revision", Alias: "", Provider: "argument", Description: "Provides a revision centric view of istio deployments"},
	{Argument: "experimental revision", Text: "describe", Alias: "", Provider: "", Description: "Show information about a revision, including customizations, istiod version and which pods/gateways are using it"},
	{Argument: "experimental revision", Text: "list", Alias: "", Provider: "", Description: "Show list of control plane and gateway revisions that are currently installed in cluster"},
	{Argument: "experimental revision", Text: "tag", Alias: "", Provider: "argument", Description: "Command group used to interact with revision tags"},
	{Argument: "experimental revision tag", Text: "generate", Alias: "", Provider: "", Description: "Create a revision tag and output to the command's stdout"},
	{Argument: "experimental revision tag", Text: "list", Alias: "", Provider: "", Description: "List existing revision tags"},
	{Argument: "experimental revision tag", Text: "remove", Alias: "", Provider: "", Description: "Remove Istio control plane revision tag"},
	{Argument: "experimental revision tag", Text: "set", Alias: "", Provider: "", Description: "Create or modify revision tags. Tag an Istio control plane revision for use with namespace istio.io/rev injection labels"},
	{Argument: "experimental", Text: "uninstall", Alias: "", Provider: "", Description: "Uninstalls Istio from a cluster"},
	{Argument: "experimental", Text: "version", Alias: "", Provider: "", Description: "Prints out build version information"},
	{Argument: "experimental", Text: "wait", Alias: "", Provider: "", Description: "Waits for the specified condition to be true of an Istio resource"},
	{Argument: "experimental", Text: "workload", Alias: "", Provider: "argument", Description: "Assist in configuring and deploying workloads running on VMs and other non-Kubernetes environments"},
	{Argument: "experimental workload", Text: "entry", Alias: "", Provider: "", Description: "Dealing with WorkloadEntry resources"},
	{Argument: "experimental workload entry", Text: "configure", Alias: "", Provider: "", Description: "Generates all the required configuration files for workload instance on a VM or non-Kubernetes environment from a WorkloadGroup artifact"},
	{Argument: "experimental workload", Text: "group", Alias: "", Provider: "", Description: "Commands dealing with WorkloadGroup resources"},
	{Argument: "experimental workload group", Text: "create", Alias: "", Provider: "", Description: "Creates a WorkloadGroup resource that provides a template for associated WorkloadEntries"},
	{Argument: "manifest", Text: "diff", Alias: "", Provider: "path", Description: "The diff subcommand compares manifests from two files or directories"},
	{Argument: "manifest", Text: "generate", Alias: "", Provider: "", Description: "The generate subcommand generates an Istio install manifest and outputs to the console by default"},
	{Argument: "manifest", Text: "install", Alias: "apply", Provider: "", Description: "Generates an Istio install manifest and applies it to a cluster"},
	{Argument: "operator", Text: "dump", Alias: "", Provider: "", Description: "Dumps the Istio operator controller manifest"},
	{Argument: "operator", Text: "init", Alias: "", Provider: "", Description: "Installs the Istio operator controller in the cluster"},
	{Argument: "operator", Text: "remove", Alias: "", Provider: "", Description: "Removes the Istio operator controller from the cluster"},
	{Argument: "proxy-config", Text: "all", Alias: "a", Provider: "", Description: "Retrieve information about all configuration for the Envoy instance in the specified pod"},
	{Argument: "proxy-config", Text: "bootstrap", Alias: "b", Provider: "", Description: "Retrieve information about bootstrap configuration for the Envoy instance in the specified pod"},
	{Argument: "proxy-config", Text: "cluster", Alias: "c", Provider: "", Description: "Retrieve information about cluster configuration for the Envoy instance in the specified pod"},
	{Argument: "proxy-config", Text: "endpoint", Alias: "ep", Provider: "", Description: "Retrieve information about endpoint configuration for the Envoy instance in the specified pod."},
	{Argument: "proxy-config", Text: "listener", Alias: "l", Provider: "", Description: "Retrieve information about listener configuration for the Envoy instance in the specified pod"},
	{Argument: "proxy-config", Text: "log", Alias: "o", Provider: "", Description: "Retrieve information about logging levels of the Envoy instance in the specified pod, and update optionally"},
	{Argument: "proxy-config", Text: "route", Alias: "r", Provider: "", Description: "Retrieve information about route configuration for the Envoy instance in the specified pod"},
	{Argument: "proxy-config", Text: "secret", Alias: "s", Provider: "", Description: "Retrieve information about secret configuration for the Envoy instance in the specified pod"},
	{Argument: "profile", Text: "diff", Alias: "", Provider: "path", Description: "The diff subcommand displays the differences between two Istio configuration profiles"},
	{Argument: "profile", Text: "dump", Alias: "", Provider: "path", Description: "The dump subcommand dumps the values in an Istio configuration profile"},
	{Argument: "profile", Text: "list", Alias: "", Provider: "", Description: "The list subcommand lists the available Istio configuration profiles"},
}
