package kubernetes

import "github.com/c-bata/go-prompt"

var arguments = []prompt.Suggest{
	{Argument: "", Text: "get", Alias: "", Provider: "argument", Description: "Display one or many resources"},
	{Argument: "", Text: "describe", Alias: "", Provider: "argument", Description: "Show details of a specific resource or group of resources"},
	{Argument: "", Text: "create", Alias: "", Provider: "argument", Description: "Create a resource by filename or stdin"},
	{Argument: "", Text: "replace", Alias: "", Provider: "", Description: "Replace a resource by filename or stdin."},
	{Argument: "", Text: "patch", Alias: "", Provider: "argument", Description: "Update field(s) of a resource using strategic merge patch."},
	{Argument: "", Text: "delete", Alias: "", Provider: "argument", Description: "Delete resources by filenames"},
	{Argument: "", Text: "edit", Alias: "", Provider: "argument", Description: "Edit a resource on the server"},
	{Argument: "", Text: "apply", Alias: "", Provider: "", Description: "Apply a configuration to a resource by filename or stdin"},
	{Argument: "", Text: "logs", Alias: "", Provider: "pod", Description: "Print the logs for a container in a pod."},
	{Argument: "", Text: "rolling-update", Alias: "", Provider: "replicationcontroller", Description: "Perform a rolling update of the given ReplicationController. Deprecated, use rollout"},
	{Argument: "", Text: "scale", Alias: "", Provider: "argument", Description: "Set a new size for a Deployment"},
	{Argument: "", Text: "cordon", Alias: "", Provider: "node", Description: "Mark node as unschedulable"},
	{Argument: "", Text: "drain", Alias: "", Provider: "node", Description: "Drain node in preparation for maintenance"},
	{Argument: "", Text: "uncordon", Alias: "", Provider: "node", Description: "Mark node as schedulable"},
	{Argument: "", Text: "attach", Alias: "", Provider: "pod", Description: "Attach to a running container."},
	{Argument: "", Text: "exec", Alias: "", Provider: "pod", Description: "Execute a command in a container."},
	{Argument: "", Text: "port-forward", Alias: "", Provider: "argument", Description: "Forward one or more local ports to a pod."},
	{Argument: "", Text: "proxy", Alias: "", Provider: "", Description: "Run a proxy to the Kubernetes API server"},
	{Argument: "", Text: "run", Alias: "", Provider: "pod", Description: "Run a particular image on the cluster."},
	{Argument: "", Text: "expose", Alias: "", Provider: "argument", Description: "Take a replication controller"},
	{Argument: "", Text: "autoscale", Alias: "", Provider: "argument", Description: "Auto-scale a Deployment"},
	{Argument: "", Text: "rollout", Alias: "", Provider: "argument", Description: "Rollout manages a deployment"},
	{Argument: "", Text: "label", Alias: "", Provider: "argument", Description: "Update the labels on a resource"},
	{Argument: "", Text: "annotate", Alias: "", Provider: "argument", Description: "Update the annotations on a resource"},
	{Argument: "", Text: "config", Alias: "", Provider: "argument", Description: "Config modifies kubeconfig files"},
	{Argument: "", Text: "cluster-info", Alias: "", Provider: "argument", Description: "Display cluster info"},
	{Argument: "", Text: "api-versions", Alias: "", Provider: "", Description: "Print the supported API versions on the server"},
	{Argument: "", Text: "api-resources", Alias: "", Provider: "", Description: "Print the supported API resources on the server'."},
	{Argument: "", Text: "version", Alias: "", Provider: "", Description: "Print the Client and server version information."},
	{Argument: "", Text: "explain", Alias: "", Provider: "", Description: "Documentation of resources."},
	{Argument: "", Text: "convert", Alias: "", Provider: "", Description: "Convert config files between different API versions"},
	{Argument: "", Text: "top", Alias: "", Provider: "argument", Description: "Display Resource (CPU/Memory/Storage) usage"},
	{Argument: "", Text: "options", Alias: "", Provider: "", Description: "Print the list of flags inherited by all commands"},
	{Argument: "", Text: "plugin", Alias: "", Provider: "", Description: "Provides utilities for interacting with plugins."},
	{Argument: "", Text: "taint", Alias: "", Provider: "node", Description: "Update the taints on one or more nodes."},
	{Argument: "", Text: "debug", Alias: "", Provider: "pod", Description: "Debug cluster resources using interactive debugging containers."},
	{Argument: "", Text: "kustomize", Alias: "", Provider: "path", Description: "Build a set of KRM resources using a 'kustomization.yaml' file."},
	{Argument: "", Text: "set", Alias: "", Provider: "argument", Description: "Configure application resources"},
	{Argument: "", Text: "auth", Alias: "", Provider: "argument", Description: "Inspect authorization"},
	{Argument: "", Text: "certificate", Alias: "", Provider: "argument", Description: "Modify certificate resources."},
	{Argument: "create", Text: "clusterrole", Alias: "", Provider: "", Description: "Create a ClusterRole"},
	{Argument: "create", Text: "clusterrolebinding", Alias: "", Provider: "", Description: "Create a ClusterRoleBinding for a particular ClusterRole."},
	{Argument: "create", Text: "configmap", Alias: "", Provider: "", Description: "Create a configmap based on a file, directory, or specified literal value."},
	{Argument: "create", Text: "cronjob", Alias: "", Provider: "", Description: "Create a cronjob with the specified name."},
	{Argument: "create", Text: "deployment", Alias: "", Provider: "", Description: "Create a deployment with the specified name."},
	{Argument: "create", Text: "ingress", Alias: "", Provider: "", Description: "Create an ingress with the specified name."},
	{Argument: "create", Text: "job", Alias: "", Provider: "", Description: "Create a job with the specified name."},
	{Argument: "create", Text: "namespace", Alias: "", Provider: "", Description: "Create a namespace with the specified name."},
	{Argument: "create", Text: "poddisruptionbudget", Alias: "", Provider: "", Description: "Create a pod disruption budget with the specified name, selector, and desired minimum available pods"},
	{Argument: "create", Text: "priorityclass", Alias: "", Provider: "", Description: "Create a priorityclass with the specified name, value, globalDefault and description"},
	{Argument: "create", Text: "quota", Alias: "", Provider: "", Description: "Create a resourcequota with the specified name, hard limits and optional scopes"},
	{Argument: "create", Text: "role", Alias: "", Provider: "", Description: "Create a role with single rule."},
	{Argument: "create", Text: "rolebinding", Alias: "", Provider: "", Description: "Create a RoleBinding for a particular Role or ClusterRole."},
	{Argument: "create", Text: "secret", Alias: "", Provider: "", Description: "Create a secret using specified subcommand."},
	{Argument: "create secret", Text: "docker-registry", Alias: "", Provider: "", Description: "Create a new secret for use with Docker registries."},
	{Argument: "create secret", Text: "generic", Alias: "", Provider: "", Description: "Create a secret based on a file, directory, or specified literal value."},
	{Argument: "create secret", Text: "tls", Alias: "", Provider: "", Description: "Create a TLS secret from the given public/private key pair."},
	{Argument: "create", Text: "service", Alias: "", Provider: "", Description: "Create a service using specified subcommand."},
	{Argument: "create service", Text: "clusterip", Alias: "", Provider: "", Description: "Create a ClusterIP service with the specified name."},
	{Argument: "create service", Text: "externalname", Alias: "", Provider: "", Description: "Create an ExternalName service with the specified name."},
	{Argument: "create service", Text: "loadbalancer", Alias: "", Provider: "", Description: "Create a LoadBalancer service with the specified name."},
	{Argument: "create service", Text: "nodeport", Alias: "", Provider: "", Description: "Create a NodePort service with the specified name."},
	{Argument: "create", Text: "serviceaccount", Alias: "", Provider: "", Description: "Create a service account with the specified name."},
	{Argument: "get", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "get", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "get", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "get", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "get", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "get", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "get", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "get", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "get", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "get", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "get", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "get", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "get", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "get", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "get", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "get", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "get", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "get", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "get", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "get", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "get", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "get", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "get", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "get", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "get", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "get", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "get", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "get", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "get", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "get", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "get", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "get", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "get", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "get", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "get", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "get", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "get", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "get", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "get", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "get", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "get", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "get", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "get", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "get", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "get", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "get", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "get", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "get", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "get", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "get", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "get", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "get", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "get", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "get", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "get", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "expose", Text: "pod", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "expose", Text: "service", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "expose", Text: "replicationcontroller", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "expose", Text: "deployment", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "expose", Text: "replicaset", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "delete", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "delete", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "delete", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "delete", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "delete", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "delete", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "delete", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "delete", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "delete", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "delete", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "delete", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "delete", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "delete", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "delete", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "delete", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "delete", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "delete", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "delete", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "delete", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "delete", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "delete", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "delete", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "delete", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "delete", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "delete", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "delete", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "delete", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "delete", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "delete", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "delete", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "delete", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "delete", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "delete", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "delete", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "delete", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "delete", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "delete", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "delete", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "delete", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "delete", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "delete", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "delete", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "delete", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "delete", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "delete", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "delete", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "delete", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "delete", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "delete", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "delete", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "delete", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "delete", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "delete", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "delete", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "delete", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "apply", Text: "edit-last-applied", Alias: "", Provider: "argument", Description: "Edit the latest last-applied-configuration annotations of resources from the default editor."},
	{Argument: "apply", Text: "set-last-applied", Alias: "", Provider: "", Description: "Set the latest last-applied-configuration annotations by setting it to match the contents of a file"},
	{Argument: "apply", Text: "view-last-applied", Alias: "", Provider: "argument", Description: "View the latest last-applied-configuration annotations by type/name or file"},
	{Argument: "apply edit-last-applied", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "apply edit-last-applied", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "apply edit-last-applied", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "apply edit-last-applied", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "apply edit-last-applied", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "apply edit-last-applied", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "apply edit-last-applied", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "apply edit-last-applied", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "apply edit-last-applied", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "apply edit-last-applied", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "apply edit-last-applied", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "apply edit-last-applied", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "apply edit-last-applied", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "apply edit-last-applied", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "apply edit-last-applied", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "apply edit-last-applied", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "apply edit-last-applied", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "apply edit-last-applied", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "apply edit-last-applied", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "apply edit-last-applied", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "apply edit-last-applied", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "apply edit-last-applied", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "apply edit-last-applied", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "apply edit-last-applied", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "apply edit-last-applied", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "apply edit-last-applied", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "apply edit-last-applied", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "apply edit-last-applied", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "apply edit-last-applied", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "apply edit-last-applied", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "apply edit-last-applied", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "apply edit-last-applied", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "apply edit-last-applied", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "apply edit-last-applied", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "apply edit-last-applied", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "apply edit-last-applied", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "apply edit-last-applied", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "apply edit-last-applied", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "apply edit-last-applied", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "apply edit-last-applied", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "apply edit-last-applied", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "apply edit-last-applied", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "apply edit-last-applied", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "apply edit-last-applied", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "apply edit-last-applied", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "apply edit-last-applied", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "apply edit-last-applied", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "apply edit-last-applied", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "apply edit-last-applied", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "apply edit-last-applied", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "apply edit-last-applied", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "apply edit-last-applied", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "apply edit-last-applied", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "apply edit-last-applied", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "apply edit-last-applied", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "apply view-last-applied", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "apply view-last-applied", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "apply view-last-applied", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "apply view-last-applied", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "apply view-last-applied", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "apply view-last-applied", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "apply view-last-applied", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "apply view-last-applied", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "apply view-last-applied", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "apply view-last-applied", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "apply view-last-applied", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "apply view-last-applied", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "apply view-last-applied", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "apply view-last-applied", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "apply view-last-applied", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "apply view-last-applied", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "apply view-last-applied", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "apply view-last-applied", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "apply view-last-applied", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "apply view-last-applied", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "apply view-last-applied", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "apply view-last-applied", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "apply view-last-applied", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "apply view-last-applied", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "apply view-last-applied", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "apply view-last-applied", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "apply view-last-applied", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "apply view-last-applied", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "apply view-last-applied", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "apply view-last-applied", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "apply view-last-applied", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "apply view-last-applied", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "apply view-last-applied", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "apply view-last-applied", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "apply view-last-applied", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "apply view-last-applied", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "apply view-last-applied", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "apply view-last-applied", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "apply view-last-applied", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "apply view-last-applied", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "apply view-last-applied", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "apply view-last-applied", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "apply view-last-applied", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "apply view-last-applied", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "apply view-last-applied", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "apply view-last-applied", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "apply view-last-applied", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "apply view-last-applied", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "apply view-last-applied", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "apply view-last-applied", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "apply view-last-applied", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "apply view-last-applied", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "apply view-last-applied", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "apply view-last-applied", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "apply view-last-applied", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "annotate", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "annotate", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "annotate", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "annotate", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "annotate", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "annotate", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "annotate", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "annotate", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "annotate", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "annotate", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "annotate", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "annotate", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "annotate", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "annotate", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "annotate", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "annotate", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "annotate", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "annotate", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "annotate", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "annotate", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "annotate", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "annotate", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "annotate", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "annotate", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "annotate", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "annotate", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "annotate", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "annotate", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "annotate", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "annotate", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "annotate", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "annotate", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "annotate", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "annotate", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "annotate", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "annotate", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "annotate", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "annotate", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "annotate", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "annotate", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "annotate", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "annotate", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "annotate", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "annotate", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "annotate", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "annotate", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "annotate", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "annotate", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "annotate", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "annotate", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "annotate", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "annotate", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "annotate", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "annotate", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "annotate", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "autoscale", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "autoscale", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "autoscale", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "autoscale", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "edit", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "edit", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "edit", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "edit", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "edit", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "edit", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "edit", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "edit", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "edit", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "edit", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "edit", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "edit", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "edit", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "edit", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "edit", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "edit", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "edit", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "edit", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "edit", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "edit", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "edit", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "edit", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "edit", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "edit", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "edit", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "edit", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "edit", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "edit", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "edit", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "edit", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "edit", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "edit", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "edit", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "edit", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "edit", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "edit", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "edit", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "edit", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "edit", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "edit", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "edit", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "edit", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "edit", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "edit", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "edit", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "edit", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "edit", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "edit", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "edit", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "edit", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "edit", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "edit", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "edit", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "edit", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "edit", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "label", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "label", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "label", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "label", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "label", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "label", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "label", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "label", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "label", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "label", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "label", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "label", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "label", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "label", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "label", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "label", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "label", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "label", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "label", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "label", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "label", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "label", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "label", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "label", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "label", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "label", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "label", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "label", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "label", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "label", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "label", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "label", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "label", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "label", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "label", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "label", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "label", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "label", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "label", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "label", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "label", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "label", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "label", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "label", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "label", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "label", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "label", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "label", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "label", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "label", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "label", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "label", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "label", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "label", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "label", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "patch", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "patch", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "patch", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "patch", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "patch", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "patch", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "patch", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "patch", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "patch", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "patch", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "patch", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "patch", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "patch", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "patch", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "patch", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "patch", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "patch", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "patch", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "patch", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "patch", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "patch", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "patch", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "patch", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "patch", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "patch", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "patch", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "patch", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "patch", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "patch", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "patch", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "patch", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "patch", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "patch", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "patch", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "patch", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "patch", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "patch", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "patch", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "patch", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "patch", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "patch", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "patch", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "patch", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "patch", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "patch", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "patch", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "patch", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "patch", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "patch", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "patch", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "patch", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "patch", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "patch", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "patch", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "patch", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "rollout", Text: "history", Alias: "", Provider: "", Description: "View previous rollout revisions and configurations."},
	{Argument: "rollout", Text: "pause", Alias: "", Provider: "", Description: "Mark the provided resource as paused"},
	{Argument: "rollout", Text: "restart", Alias: "", Provider: "", Description: "Resource will be rollout restarted."},
	{Argument: "rollout", Text: "resume", Alias: "", Provider: "", Description: "Resume a paused resource"},
	{Argument: "rollout", Text: "status", Alias: "", Provider: "", Description: "Show the status of the rollout."},
	{Argument: "rollout", Text: "undo", Alias: "", Provider: "", Description: "Rollback to a previous rollout"},
	{Argument: "rollout history", Text: "deployments", Alias: "deploy", Provider: "", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "rollout history", Text: "daemonsets", Alias: "ds", Provider: "", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "rollout history", Text: "statefulsets", Alias: "sts", Provider: "", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "rollout pause", Text: "deployments", Alias: "deploy", Provider: "", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "rollout pause", Text: "daemonsets", Alias: "ds", Provider: "", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "rollout pause", Text: "statefulsets", Alias: "sts", Provider: "", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "rollout restart", Text: "deployments", Alias: "deploy", Provider: "", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "rollout restart", Text: "daemonsets", Alias: "ds", Provider: "", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "rollout restart", Text: "statefulsets", Alias: "sts", Provider: "", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "rollout resume", Text: "deployments", Alias: "deploy", Provider: "", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "rollout resume", Text: "daemonsets", Alias: "ds", Provider: "", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "rollout resume", Text: "statefulsets", Alias: "sts", Provider: "", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "rollout status", Text: "deployments", Alias: "deploy", Provider: "", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "rollout status", Text: "daemonsets", Alias: "ds", Provider: "", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "rollout status", Text: "statefulsets", Alias: "sts", Provider: "", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "rollout undo", Text: "deployments", Alias: "deploy", Provider: "", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "rollout undo", Text: "daemonsets", Alias: "ds", Provider: "", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "rollout undo", Text: "statefulsets", Alias: "sts", Provider: "", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "scale", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "scale", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "scale", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "scale", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "scale", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "scale", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "scale", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "scale", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "scale", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "scale", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "scale", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "scale", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "scale", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "scale", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "scale", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "scale", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "scale", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "scale", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "scale", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "scale", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "scale", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "scale", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "scale", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "scale", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "scale", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "scale", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "scale", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "scale", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "scale", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "scale", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "scale", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "scale", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "scale", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "scale", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "scale", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "scale", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "scale", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "scale", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "scale", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "scale", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "scale", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "scale", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "scale", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "scale", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "scale", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "scale", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "scale", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "scale", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "scale", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "scale", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "scale", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "scale", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "scale", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "scale", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "scale", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "set", Text: "env", Alias: "", Provider: "", Description: "Update environment variables on a pod template."},
	{Argument: "set", Text: "image", Alias: "", Provider: "", Description: "Update existing container image(s) of resources."},
	{Argument: "set", Text: "resources", Alias: "", Provider: "", Description: "Specify compute resource requirements (cpu, memory) for any resource that defines a pod template"},
	{Argument: "set", Text: "selector", Alias: "", Provider: "", Description: "Set the selector on a resource. Note that the new selector will overwrite the old selector if the resource had one prior to the invocation of 'set selector'."},
	{Argument: "set", Text: "serviceaccount", Alias: "", Provider: "", Description: "Update ServiceAccount of pod template resources."},
	{Argument: "set", Text: "subject", Alias: "", Provider: "", Description: "Update User, Group or ServiceAccount in a RoleBinding/ClusterRoleBinding."},
	{Argument: "wait", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "wait", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "wait", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "wait", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "wait", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "wait", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "wait", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "wait", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "wait", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "wait", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "wait", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "wait", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "wait", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "wait", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "wait", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "wait", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "wait", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "wait", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "wait", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "wait", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "wait", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "wait", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "wait", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "wait", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "wait", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "wait", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "wait", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "wait", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "wait", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "wait", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "wait", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "wait", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "wait", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "wait", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "wait", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "wait", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "wait", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "wait", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "wait", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "wait", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "wait", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "wait", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "wait", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "wait", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "wait", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "wait", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "wait", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "wait", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "wait", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "wait", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "wait", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "wait", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "wait", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "wait", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "wait", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "auth", Text: "can-i", Alias: "", Provider: "verb", Description: "Check whether an action is allowed."},
	{Argument: "auth", Text: "reconcile", Alias: "", Provider: "", Description: "Reconciles rules for RBAC Role, RoleBinding, ClusterRole, and ClusterRoleBinding objects."},
	{Argument: "describe", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "describe", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "describe", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "describe", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "describe", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "describe", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "describe", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "describe", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "describe", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "describe", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "describe", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "describe", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "describe", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "describe", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "describe", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "describe", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "describe", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "describe", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "describe", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "describe", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "describe", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "describe", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "describe", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "describe", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "describe", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "describe", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "describe", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "describe", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "describe", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "describe", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "describe", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "describe", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "describe", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "describe", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "describe", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "describe", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "describe", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "describe", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "describe", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "describe", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "describe", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "describe", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "describe", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "describe", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "describe", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "describe", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "describe", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "describe", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "describe", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "describe", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "describe", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "describe", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "describe", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "describe", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "describe", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "port-forward", Text: "componentstatuses", Alias: "cs", Provider: "componentstatus", Description: "ComponentStatus (and ComponentStatusList) holds the cluster validation info. Deprecated: This API is deprecated in v1.19+"},
	{Argument: "port-forward", Text: "configmaps", Alias: "cm", Provider: "configmap", Description: "ConfigMap holds configuration data for pods to consume."},
	{Argument: "port-forward", Text: "daemonsets", Alias: "ds", Provider: "daemonset", Description: "DaemonSet represents the configuration of a daemon set."},
	{Argument: "port-forward", Text: "deployments", Alias: "deploy", Provider: "deployment", Description: "Deployment enables declarative updates for Pods and ReplicaSets."},
	{Argument: "port-forward", Text: "endpoints", Alias: "ep", Provider: "endpoint", Description: "Endpoints is a collection of endpoints that implement the actual service."},
	{Argument: "port-forward", Text: "events", Alias: "ev", Provider: "event", Description: "Event is a report of an event somewhere in the cluster."},
	{Argument: "port-forward", Text: "horizontalpodautoscaler", Alias: "hpa", Provider: "horizontalpodautoscaler", Description: "HorizontalPodAutoscaler configuration of a horizontal pod autoscaler."},
	{Argument: "port-forward", Text: "ingresses", Alias: "ing", Provider: "ingress", Description: "Ingress is a collection of rules that allow inbound connections to reach the endpoints defined by a backend."},
	{Argument: "port-forward", Text: "jobs", Alias: "", Provider: "job", Description: "Job represents the configuration of a single job."},
	{Argument: "port-forward", Text: "cronjobs", Alias: "cj", Provider: "cronjob", Description: "CronJob represents the configuration of a single cron job."},
	{Argument: "port-forward", Text: "limitranges", Alias: "limits", Provider: "limitrange", Description: "LimitRange sets resource usage limits for each kind of resource in a Namespace."},
	{Argument: "port-forward", Text: "namespaces", Alias: "ns", Provider: "namespace", Description: "Namespace provides a scope for Names. Use of multiple namespaces is optional."},
	{Argument: "port-forward", Text: "networkpolicies", Alias: "netpol", Provider: "networkpolicie", Description: "NetworkPolicy describes what network traffic is allowed for a set of Pods"},
	{Argument: "port-forward", Text: "nodes", Alias: "no", Provider: "node", Description: "Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache (i.e. in etcd)."},
	{Argument: "port-forward", Text: "persistentvolumeclaims", Alias: "pvc", Provider: "persistentvolumeclaim", Description: "PersistentVolumeClaim is a user's request for and claim to a persistent volume"},
	{Argument: "port-forward", Text: "persistentvolumes", Alias: "pv", Provider: "persistentvolume", Description: "PersistentVolume (PV) is a storage resource provisioned by an administrator."},
	{Argument: "port-forward", Text: "pods", Alias: "po", Provider: "pod", Description: "Pod is a collection of containers that can run on a host. This resource is created by clients and scheduled onto hosts."},
	{Argument: "port-forward", Text: "podsecuritypolicies", Alias: "psp", Provider: "podsecuritypolicy", Description: "PodSecurityPolicy governs the ability to make requests that affect the Security Context that will be applied to a pod and container. Deprecated in 1.21."},
	{Argument: "port-forward", Text: "podtemplates", Alias: "", Provider: "podtemplate", Description: "PodTemplate describes a template for creating copies of a predefined pod."},
	{Argument: "port-forward", Text: "replicasets", Alias: "rs", Provider: "replicaset", Description: "ReplicaSet ensures that a specified number of pod replicas are running at any given time."},
	{Argument: "port-forward", Text: "replicationcontrollers", Alias: "rc", Provider: "replicationcontroller", Description: "ReplicationController represents the configuration of a replication controller."},
	{Argument: "port-forward", Text: "resourcequotas", Alias: "quota", Provider: "resourcequota", Description: "ResourceQuota sets aggregate quota restrictions enforced per namespace"},
	{Argument: "port-forward", Text: "secrets", Alias: "", Provider: "secret", Description: "Secret holds secret data of a certain type. The total bytes of the values in the Data field must be less than MaxSecretSize bytes."},
	{Argument: "port-forward", Text: "serviceaccounts", Alias: "sa", Provider: "serviceaccount", Description: "ServiceAccount binds together: a name"},
	{Argument: "port-forward", Text: "services", Alias: "svc", Provider: "service", Description: "Service is a named abstraction of software service (for example"},
	{Argument: "port-forward", Text: "statefulsets", Alias: "sts", Provider: "statefulset", Description: "StatefulSet represents a set of pods with consistent identities."},
	{Argument: "port-forward", Text: "storageclasses", Alias: "sc", Provider: "storageclass", Description: "StorageClass describes the parameters for a class of storage for which PersistentVolumes can be dynamically provisioned."},
	{Argument: "port-forward", Text: "bindings", Alias: "", Provider: "binding", Description: "Binding ties one object to another"},
	{Argument: "port-forward", Text: "mutatingwebhookconfigurations", Alias: "", Provider: "mutatingwebhookconfiguration", Description: "MutatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and may change the object."},
	{Argument: "port-forward", Text: "validatingwebhookconfigurations", Alias: "", Provider: "validatingwebhookconfiguration", Description: "ValidatingWebhookConfiguration describes the configuration of and admission webhook that accept or reject and object without changing it."},
	{Argument: "port-forward", Text: "customresourcedefinitions", Alias: "crd", Provider: "customresourcedefinition", Description: "CustomResourceDefinition represents a resource that should be exposed on the API server."},
	{Argument: "port-forward", Text: "apiservices", Alias: "", Provider: "apiservice", Description: "APIService represents a server for a particular GroupVersion. Name must be 'version.group'."},
	{Argument: "port-forward", Text: "controllerrevisions", Alias: "", Provider: "controllerrevision", Description: "ControllerRevision implements an immutable snapshot of state data."},
	{Argument: "port-forward", Text: "tokenreviews", Alias: "", Provider: "tokenreview", Description: "TokenReview attempts to authenticate a token to a known user."},
	{Argument: "port-forward", Text: "localsubjectaccessreviews", Alias: "", Provider: "localsubjectaccessreview", Description: "LocalSubjectAccessReview checks whether or not a user or group can perform an action in a given namespace."},
	{Argument: "port-forward", Text: "selfsubjectaccessreviews", Alias: "", Provider: "selfsubjectaccessreview", Description: "SelfSubjectAccessReview checks whether or the current user can perform an action."},
	{Argument: "port-forward", Text: "selfsubjectrulesreviews", Alias: "", Provider: "selfsubjectrulesreview", Description: "SelfSubjectRulesReview enumerates the set of actions the current user can perform within a namespace."},
	{Argument: "port-forward", Text: "subjectaccessreviews", Alias: "", Provider: "subjectaccessreview", Description: "SubjectAccessReview checks whether or not a user or group can perform an action."},
	{Argument: "port-forward", Text: "certificatesigningrequests", Alias: "csr", Provider: "certificatesigningrequest", Description: "CertificateSigningRequest objects provide a mechanism to obtain x509 certificates by submitting a certificate signing request"},
	{Argument: "port-forward", Text: "leases", Alias: "", Provider: "lease", Description: "Lease defines a lease concept."},
	{Argument: "port-forward", Text: "endpointslices", Alias: "", Provider: "endpointslice", Description: "EndpointSlice represents a subset of the endpoints that implement a service."},
	{Argument: "port-forward", Text: "flowschemas", Alias: "", Provider: "flowschema", Description: "FlowSchema defines the schema of a group of flows. Note that a flow is made up of a set of inbound API requests with similar attributes and is identified by a pair of strings: the name of the FlowSchema and a 'flow distinguisher'."},
	{Argument: "port-forward", Text: "prioritylevelconfigurations", Alias: "", Provider: "prioritylevelconfiguration", Description: "PriorityLevelConfiguration represents the configuration of a priority level."},
	{Argument: "port-forward", Text: "ingressclasses", Alias: "", Provider: "ingressclass", Description: "IngressClass represents the class of the Ingress"},
	{Argument: "port-forward", Text: "runtimeclasses", Alias: "", Provider: "runtimeclass", Description: "RuntimeClass defines a class of container runtime supported in the cluster."},
	{Argument: "port-forward", Text: "poddisruptionbudgets", Alias: "pdb", Provider: "poddisruptionbudget", Description: "PodDisruptionBudget is an object to define the max disruption that can be caused to a collection of pods"},
	{Argument: "port-forward", Text: "clusterrolebindings", Alias: "", Provider: "clusterrolebinding", Description: "ClusterRoleBinding references a ClusterRole"},
	{Argument: "port-forward", Text: "clusterroles", Alias: "", Provider: "clusterrole", Description: "ClusterRole is a cluster level"},
	{Argument: "port-forward", Text: "rolebindings", Alias: "", Provider: "rolebinding", Description: "RoleBinding references a role"},
	{Argument: "port-forward", Text: "roles", Alias: "", Provider: "role", Description: "Role is a namespaced"},
	{Argument: "port-forward", Text: "priorityclasses", Alias: "pc", Provider: "priorityclass", Description: "PriorityClass defines mapping from a priority class name to the priority integer value."},
	{Argument: "port-forward", Text: "csidrivers", Alias: "", Provider: "csidriver", Description: "CSIDriver captures information about a Container Storage Interface (CSI) volume driver deployed on the cluster."},
	{Argument: "port-forward", Text: "csinodes", Alias: "", Provider: "csinode", Description: "CSINode holds information about all CSI drivers installed on a node. CSI  drivers do not need to create the CSINode object directly."},
	{Argument: "port-forward", Text: "csistoragecapacities", Alias: "", Provider: "csistoragecapacitie", Description: "CSIStorageCapacity stores the result of one CSI GetCapacity call. For a given StorageClass"},
	{Argument: "port-forward", Text: "volumeattachments", Alias: "", Provider: "volumeattachment", Description: "VolumeAttachment captures the intent to attach or detach the specified volume to/from the specified node."},
	{Argument: "top", Text: "node", Alias: "", Provider: "node", Description: "Display Resource (CPU/Memory) usage of nodes."},
	{Argument: "top", Text: "pod", Alias: "", Provider: "pod", Description: "Display Resource (CPU/Memory) usage of pods."},
	{Argument: "certificate", Text: "approve", Alias: "", Provider: "", Description: "Approve a certificate signing request."},
	{Argument: "certificate", Text: "deny", Alias: "", Provider: "", Description: "Deny a certificate signing request."},
	{Argument: "cluster-info", Text: "dump", Alias: "", Provider: "", Description: "Display addresses of the control plane and services with label kubernetes.io/cluster-service=true To further debug and diagnose cluster problems"},
	{Argument: "config", Text: "current-context", Alias: "", Provider: "", Description: "Displays the current-context"},
	{Argument: "config", Text: "delete-cluster", Alias: "", Provider: "cluster", Description: "Delete the specified cluster from the kubeconfig"},
	{Argument: "config", Text: "delete-context", Alias: "", Provider: "context", Description: "Delete the specified context from the kubeconfig"},
	{Argument: "config", Text: "delete-user", Alias: "", Provider: "user", Description: "Delete the specified user from the kubeconfig"},
	{Argument: "config", Text: "get-clusters", Alias: "", Provider: "", Description: "Display clusters defined in the kubeconfig."},
	{Argument: "config", Text: "get-contexts", Alias: "", Provider: "", Description: "Displays one or many contexts from the kubeconfig file."},
	{Argument: "config", Text: "get-users", Alias: "", Provider: "", Description: "Display users defined in the kubeconfig."},
	{Argument: "config", Text: "rename-context", Alias: "", Provider: "context", Description: "Renames a context from the kubeconfig file."},
	{Argument: "config", Text: "set", Alias: "", Provider: "", Description: "Sets an individual value in a kubeconfig file"},
	{Argument: "config", Text: "set-cluster", Alias: "", Provider: "cluster", Description: "Sets a cluster entry in kubeconfig."},
	{Argument: "config", Text: "set-context", Alias: "", Provider: "context", Description: "Sets a context entry in kubeconfig"},
	{Argument: "config", Text: "set-credentials", Alias: "", Provider: "user", Description: "Sets a user entry in kubeconfig"},
	{Argument: "config", Text: "unset", Alias: "", Provider: "", Description: "Unsets an individual value in a kubeconfig file"},
	{Argument: "config", Text: "use-context", Alias: "", Provider: "context", Description: "Sets the current-context in a kubeconfig file"},
	{Argument: "config", Text: "view", Alias: "", Provider: "", Description: "Display merged kubeconfig settings or a specified kubeconfig file."},
}

var options = []prompt.Suggest{
	{Argument: "create", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create", Text: "--edit", Alias: "", Provider: "bool", Description: "Edit the API resource before creating"},
	{Argument: "create", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files to use to create the resource"},
	{Argument: "create", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "create", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create", Text: "--raw", Alias: "", Provider: "", Description: "Raw URI to POST to the server. Uses the transport specified by the kubeconfig file."},
	{Argument: "create", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "create", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "create", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "create", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create", Text: "--windows-line-endings", Alias: "", Provider: "bool", Description: "Only relevant if --edit=true. Defaults to the line ending native to your platform."},
	{Argument: "create clusterrole", Text: "--aggregation-rule", Alias: "", Provider: "", Description: "An aggregation label selector for combining ClusterRoles."},
	{Argument: "create clusterrole", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create clusterrole", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create clusterrole", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create clusterrole", Text: "--non-resource-url", Alias: "", Provider: "", Description: "A partial url that user should have access to."},
	{Argument: "create clusterrole", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create clusterrole", Text: "--resource", Alias: "", Provider: "", Description: "Resource that the rule applies to"},
	{Argument: "create clusterrole", Text: "--resource-name", Alias: "", Provider: "", Description: "Resource in the white list that the rule applies to, repeat this flag for multiple items"},
	{Argument: "create clusterrole", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create clusterrole", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create clusterrole", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create clusterrole", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create clusterrole", Text: "--verb", Alias: "", Provider: "verb", Description: "Verb that applies to the resources contained in the rule"},
	{Argument: "create clusterrolebinding", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create clusterrolebinding", Text: "--clusterrole", Alias: "", Provider: "", Description: "ClusterRole this ClusterRoleBinding should reference"},
	{Argument: "create clusterrolebinding", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create clusterrolebinding", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create clusterrolebinding", Text: "--group", Alias: "", Provider: "", Description: "Groups to bind to the clusterrole"},
	{Argument: "create clusterrolebinding", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create clusterrolebinding", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create clusterrolebinding", Text: "--serviceaccount", Alias: "", Provider: "serviceaccount", Description: "Service accounts to bind to the clusterrole, in the format <namespace>:<name>"},
	{Argument: "create clusterrolebinding", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create clusterrolebinding", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create clusterrolebinding", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create configmap", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create configmap", Text: "--append-hash", Alias: "", Provider: "bool", Description: "Append a hash of the configmap to its name."},
	{Argument: "create configmap", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create configmap", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create configmap", Text: "--from-env-file", Alias: "", Provider: "path", Description: "Specify the path to a file to read lines of key=val pairs to create a configmap (i.e. a Docker .env file)."},
	{Argument: "create configmap", Text: "--from-file", Alias: "", Provider: "path", Description: "Key file can be specified using its file path, in which case file basename will be used as configmap key, or optionally with a key and file path, in which case the given key will be used. Specifying a directory will iterate each named file in the directory whose basename is a valid configmap key."},
	{Argument: "create configmap", Text: "--from-literal", Alias: "", Provider: "", Description: "Specify a key and literal value to insert in configmap (i.e. mykey=somevalue)"},
	{Argument: "create configmap", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create configmap", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create configmap", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create configmap", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create configmap", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create cronjob", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create cronjob", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create cronjob", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create cronjob", Text: "--image", Alias: "", Provider: "image", Description: "Image name to run."},
	{Argument: "create cronjob", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create cronjob", Text: "--restart", Alias: "", Provider: "", Description: "job's restart policy. supported values: OnFailure, Never"},
	{Argument: "create cronjob", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create cronjob", Text: "--schedule", Alias: "", Provider: "", Description: "A schedule in the Cron format the job should be run with."},
	{Argument: "create cronjob", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create cronjob", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create cronjob", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create deployment", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create deployment", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create deployment", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create deployment", Text: "--generator", Alias: "", Provider: "", Description: "The name of the API generator to use."},
	{Argument: "create deployment", Text: "--image", Alias: "", Provider: "image", Description: "Image names to run."},
	{Argument: "create deployment", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create deployment", Text: "--port", Alias: "", Provider: "", Description: "The port that this container exposes."},
	{Argument: "create deployment", Text: "--replicas", Alias: "-r", Provider: "", Description: "Number of replicas to create. Default is 1."},
	{Argument: "create deployment", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create deployment", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create deployment", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create deployment", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create ingress", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create ingress", Text: "--annotation", Alias: "", Provider: "", Description: "Annotation to insert in the ingress object, in the format annotation=value"},
	{Argument: "create ingress", Text: "--class", Alias: "", Provider: "ingressclass", Description: "Ingress Class to be used"},
	{Argument: "create ingress", Text: "--default-backend", Alias: "", Provider: "", Description: "Default service for backend, in format of svcname:port"},
	{Argument: "create ingress", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create ingress", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create ingress", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create ingress", Text: "--rule", Alias: "", Provider: "", Description: "Rule in format host/path=service:port[,tls=secretname]. Paths containing the leading character '*' are considered pathType=Prefix. tls argument is optional."},
	{Argument: "create ingress", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create ingress", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create ingress", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create ingress", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create job", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create job", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create job", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create job", Text: "--from", Alias: "", Provider: "cornjob", Description: "The name of the resource to create a Job from (only cronjob is supported)."},
	{Argument: "create job", Text: "--image", Alias: "", Provider: "image", Description: "Image name to run."},
	{Argument: "create job", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create job", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create job", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create job", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create job", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create namespace", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create namespace", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create namespace", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create namespace", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create namespace", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create namespace", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create namespace", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create namespace", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create poddisruptionbudget", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create poddisruptionbudget", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create poddisruptionbudget", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create poddisruptionbudget", Text: "--max-unavailable", Alias: "", Provider: "", Description: "The maximum number or percentage of unavailable pods this budget requires."},
	{Argument: "create poddisruptionbudget", Text: "--min-available", Alias: "", Provider: "", Description: "The minimum number or percentage of available pods this budget requires."},
	{Argument: "create poddisruptionbudget", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create poddisruptionbudget", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create poddisruptionbudget", Text: "--selector", Alias: "", Provider: "", Description: "A label selector to use for this budget. Only equality-based selector requirements are supported."},
	{Argument: "create poddisruptionbudget", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create poddisruptionbudget", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create poddisruptionbudget", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create priorityclass", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create priorityclass", Text: "--description", Alias: "", Provider: "", Description: "description is an arbitrary string that usually provides guidelines on when this priority class should be used."},
	{Argument: "create priorityclass", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create priorityclass", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create priorityclass", Text: "--global-default", Alias: "", Provider: "bool", Description: "global-default specifies whether this PriorityClass should be considered as the default priority."},
	{Argument: "create priorityclass", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create priorityclass", Text: "--preemption-policy", Alias: "", Provider: "", Description: "preemption-policy is the policy for preempting pods with lower priority."},
	{Argument: "create priorityclass", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create priorityclass", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create priorityclass", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create priorityclass", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create priorityclass", Text: "--value", Alias: "", Provider: "", Description: "the value of this priority class."},
	{Argument: "create quota", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create quota", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create quota", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create quota", Text: "--hard", Alias: "", Provider: "", Description: "A comma-delimited set of resource=quantity pairs that define a hard limit."},
	{Argument: "create quota", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create quota", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create quota", Text: "--scopes", Alias: "", Provider: "", Description: "A comma-delimited set of quota scopes that must all match each object tracked by the quota."},
	{Argument: "create quota", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create quota", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create quota", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create role", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create role", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create role", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create role", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create role", Text: "--resource", Alias: "", Provider: "", Description: "Resource that the rule applies to"},
	{Argument: "create role", Text: "--resource-name", Alias: "", Provider: "", Description: "Resource in the white list that the rule applies to, repeat this flag for multiple items"},
	{Argument: "create role", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create role", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create role", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create role", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create role", Text: "--verb", Alias: "", Provider: "verb", Description: "Verb that applies to the resources contained in the rule"},
	{Argument: "create rolebinding", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create rolebinding", Text: "--clusterrole", Alias: "", Provider: "clusterrole", Description: "ClusterRole this RoleBinding should reference"},
	{Argument: "create rolebinding", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create rolebinding", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create rolebinding", Text: "--group", Alias: "", Provider: "", Description: "Groups to bind to the role"},
	{Argument: "create rolebinding", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create rolebinding", Text: "--role", Alias: "", Provider: "", Description: "Role this RoleBinding should reference"},
	{Argument: "create rolebinding", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create rolebinding", Text: "--serviceaccount", Alias: "", Provider: "", Description: "Service accounts to bind to the role, in the format <namespace>:<name>"},
	{Argument: "create rolebinding", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create rolebinding", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create rolebinding", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create secret docker-registry", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create secret docker-registry", Text: "--append-hash", Alias: "", Provider: "bool", Description: "Append a hash of the secret to its name."},
	{Argument: "create secret docker-registry", Text: "--docker-email", Alias: "", Provider: "", Description: "Email for Docker registry"},
	{Argument: "create secret docker-registry", Text: "--docker-password", Alias: "", Provider: "", Description: "Password for Docker registry authentication"},
	{Argument: "create secret docker-registry", Text: "--docker-server", Alias: "", Provider: "", Description: "Server location for Docker registry"},
	{Argument: "create secret docker-registry", Text: "--docker-username", Alias: "", Provider: "", Description: "Username for Docker registry authentication"},
	{Argument: "create secret docker-registry", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create secret docker-registry", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create secret docker-registry", Text: "--from-file", Alias: "", Provider: "path", Description: "Key files can be specified using their file path, in which case a default name will be given to them, or optionally with a name and file path, in which case the given name will be used. Specifying a directory will iterate each named file in the directory that is a valid secret key."},
	{Argument: "create secret docker-registry", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create secret docker-registry", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create secret docker-registry", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create secret docker-registry", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create secret docker-registry", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create secret generic", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create secret generic", Text: "--append-hash", Alias: "", Provider: "bool", Description: "Append a hash of the secret to its name."},
	{Argument: "create secret generic", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create secret generic", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create secret generic", Text: "--from-env-file", Alias: "", Provider: "path", Description: "Specify the path to a file to read lines of key=val pairs to create a secret (i.e. a Docker .env file)."},
	{Argument: "create secret generic", Text: "--from-file", Alias: "", Provider: "path", Description: "Key files can be specified using their file path, in which case a default name will be given to them, or optionally with a name and file path, in which case the given name will be used. Specifying a directory will iterate each named file in the directory that is a valid secret key."},
	{Argument: "create secret generic", Text: "--from-literal", Alias: "", Provider: "", Description: "Specify a key and literal value to insert in secret (i.e. mykey=somevalue)"},
	{Argument: "create secret generic", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create secret generic", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create secret generic", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create secret generic", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create secret generic", Text: "--type", Alias: "", Provider: "", Description: "The type of secret to create"},
	{Argument: "create secret generic", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create secret tls", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create secret tls", Text: "--append-hash", Alias: "", Provider: "bool", Description: "Append a hash of the secret to its name."},
	{Argument: "create secret tls", Text: "--cert", Alias: "", Provider: "path", Description: "Path to PEM encoded public key certificate."},
	{Argument: "create secret tls", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create secret tls", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create secret tls", Text: "--key", Alias: "", Provider: "path", Description: "Path to private key associated with given certificate."},
	{Argument: "create secret tls", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create secret tls", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create secret tls", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create secret tls", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create secret tls", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create service clusterip", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create service clusterip", Text: "--clusterip", Alias: "", Provider: "", Description: "Assign your own ClusterIP or set to 'None' for a 'headless' service (no loadbalancing)."},
	{Argument: "create service clusterip", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create service clusterip", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create service clusterip", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create service clusterip", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create service clusterip", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create service clusterip", Text: "--tcp", Alias: "", Provider: "", Description: "Port pairs can be specified as '<port>:<targetPort>'."},
	{Argument: "create service clusterip", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create service clusterip", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create service externalname", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create service externalname", Text: "--external-name", Alias: "", Provider: "", Description: "External name of service"},
	{Argument: "create service externalname", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create service externalname", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create service externalname", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create service externalname", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create service externalname", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create service externalname", Text: "--tcp", Alias: "", Provider: "", Description: "Port pairs can be specified as '<port>:<targetPort>'."},
	{Argument: "create service externalname", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create service externalname", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create service loadbalancer", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create service loadbalancer", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create service loadbalancer", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create service loadbalancer", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create service loadbalancer", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create service loadbalancer", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create service loadbalancer", Text: "--tcp", Alias: "", Provider: "", Description: "Port pairs can be specified as '<port>:<targetPort>'."},
	{Argument: "create service loadbalancer", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create service loadbalancer", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create service nodeport", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create service nodeport", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create service nodeport", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create service nodeport", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create service nodeport", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create service nodeport", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create service nodeport", Text: "--tcp", Alias: "", Provider: "", Description: "Port pairs can be specified as '<port>:<targetPort>'."},
	{Argument: "create service nodeport", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create service nodeport", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "create service nodeport", Text: "--node-port", Alias: "", Provider: "", Description: "Port used to expose the service on each node in a cluster."},
	{Argument: "create serviceaccount", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "create serviceaccount", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "create serviceaccount", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "create serviceaccount", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "create serviceaccount", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "create serviceaccount", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "create serviceaccount", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "create serviceaccount", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "get", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If present, list the requested object(s) across all namespaces. Namespace in current context is ignored even if specified with --namespace."},
	{Argument: "get", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "get", Text: "--chunk-size", Alias: "", Provider: "", Description: "Return large lists in chunks rather than all at once. Pass 0 to disable. This flag is beta and may change in the future."},
	{Argument: "get", Text: "--field-selector", Alias: "", Provider: "", Description: "Selector (field query) to filter on, supports '=', '==', and '!='.(e.g. --field-selector key1=value1,key2=value2). The server only supports a limited number of field queries per type."},
	{Argument: "get", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "get", Text: "--ignore-not-found", Alias: "", Provider: "bool", Description: "If the requested object does not exist the command will return exit code 0."},
	{Argument: "get", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "get", Text: "--label-columns", Alias: "-L", Provider: "", Description: "Accepts a comma separated list of labels that are going to be presented as columns. Names are case-sensitive. You can also use multiple flag options like -L label1 -L label2..."},
	{Argument: "get", Text: "--no-headers", Alias: "", Provider: "bool", Description: "When using the default or custom-column output format, don't print headers (default print headers)."},
	{Argument: "get", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|wide|name|custom-columns=...|custom-columns-file=...|go-template=...|go-template-file=...|jsonpath=...|jsonpath-file=... See custom columns [http://kubernetes.io/docs/user-guide/kubectl-overview/#custom-columns], golang template [http://golang.org/pkg/text/template/#pkg-overview] and jsonpath template [http://kubernetes.io/docs/user-guide/jsonpath]."},
	{Argument: "get", Text: "--output-watch-events", Alias: "", Provider: "bool", Description: "Output watch event objects when --watch or --watch-only is used. Existing objects are output as initial ADDED events."},
	{Argument: "get", Text: "--raw", Alias: "", Provider: "", Description: "Raw URI to request from the server. Uses the transport specified by the kubeconfig file."},
	{Argument: "get", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "get", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "get", Text: "--server-print", Alias: "", Provider: "bool", Description: "If true, have the server return the appropriate table output. Supports extension APIs and CRDs."},
	{Argument: "get", Text: "--show-kind", Alias: "", Provider: "bool", Description: "If present, list the resource type for the requested object(s)."},
	{Argument: "get", Text: "--show-labels", Alias: "", Provider: "bool", Description: "When printing, show all labels as the last column (default hide labels column)"},
	{Argument: "get", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "get", Text: "--sort-by", Alias: "", Provider: "", Description: "If non-empty, sort list types using this field specification. The field specification is expressed as a JSONPath expression (e.g. '{.metadata.name}'). The field in the API resource specified by this JSONPath expression must be an integer or a string."},
	{Argument: "get", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "get", Text: "--use-openapi-print-columns", Alias: "", Provider: "bool", Description: "If true, use x-kubernetes-print-column metadata (if present) from the OpenAPI schema for displaying a resource."},
	{Argument: "get", Text: "--watch", Alias: "-w", Provider: "bool", Description: "After listing/getting the requested object, watch for changes. Uninitialized objects are excluded if no object name is provided."},
	{Argument: "get", Text: "--watch-only", Alias: "", Provider: "bool", Description: "Watch for changes to the requested object(s), without listing/getting first."},
	{Argument: "run", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "run", Text: "--annotations", Alias: "", Provider: "", Description: "Annotations to apply to the pod."},
	{Argument: "run", Text: "--attach", Alias: "", Provider: "bool", Description: "If true, wait for the Pod to start running, and then attach to the Pod as if 'kubectl attach ...' were called. Default false, unless '-i/--stdin' is set, in which case the default is true. With '--restart=Never' the exit code of the container process is returned."},
	{Argument: "run", Text: "--cascade", Alias: "", Provider: "cascade", Description: "Must be 'background', 'orphan', or 'foreground'. Selects the deletion cascading strategy for the dependents (e.g. Pods created by a ReplicationController). Defaults to background."},
	{Argument: "run", Text: "--command", Alias: "", Provider: "bool", Description: "If true and extra arguments are present, use them as the 'command' field in the container, rather than the 'args' field which is the default."},
	{Argument: "run", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "run", Text: "--env", Alias: "", Provider: "", Description: "Environment variables to set in the container."},
	{Argument: "run", Text: "--expose", Alias: "", Provider: "bool", Description: "If true, service is created for the container(s) which are run"},
	{Argument: "run", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "run", Text: "--filename", Alias: "-f", Provider: "path", Description: "to use to replace the resource."},
	{Argument: "run", Text: "--force", Alias: "", Provider: "bool", Description: "If true, immediately remove resources from API and bypass graceful deletion. Note that immediate deletion of some resources may result in inconsistency or data loss and requires confirmation."},
	{Argument: "run", Text: "--grace-period", Alias: "", Provider: "", Description: "Period of time in seconds given to the resource to terminate gracefully. Ignored if negative. Set to 1 for immediate shutdown. Can only be set to 0 when --force is true (force deletion)."},
	{Argument: "run", Text: "--hostport", Alias: "", Provider: "", Description: "The host port mapping for the container port. To demonstrate a single-machine container."},
	{Argument: "run", Text: "--image", Alias: "", Provider: "image", Description: "The image for the container to run."},
	{Argument: "run", Text: "--image-pull-policy", Alias: "", Provider: "", Description: "The image pull policy for the container. If left empty, this value will not be specified by the Client and defaulted by the server"},
	{Argument: "run", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process a kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "run", Text: "--labels", Alias: "-l", Provider: "", Description: "Comma separated labels to apply to the pod(s). Will override previous values."},
	{Argument: "run", Text: "--leave-stdin-open", Alias: "", Provider: "bool", Description: "If the pod is started in interactive mode or with stdin, leave stdin open after the first attach completes. By default, stdin will be closed after the first attach completes."},
	{Argument: "run", Text: "--limits", Alias: "", Provider: "", Description: "The resource requirement limits for this container. For example, 'cpu=200m,memory=512Mi'. Note that server side components may assign limits depending on the server configuration, such as limit ranges."},
	{Argument: "run", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "run", Text: "--overrides", Alias: "", Provider: "", Description: "An inline JSON override for the generated object. If this is non-empty, it is used to override the generated object. Requires that the object supply a valid apiVersion field."},
	{Argument: "run", Text: "--pod-running-timeout", Alias: "", Provider: "", Description: "The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running"},
	{Argument: "run", Text: "--port", Alias: "", Provider: "", Description: "The port that this container exposes."},
	{Argument: "run", Text: "--privileged", Alias: "", Provider: "bool", Description: "If true, run the container in privileged mode."},
	{Argument: "run", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "If true, suppress prompt messages."},
	{Argument: "run", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "run", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "run", Text: "--requests", Alias: "", Provider: "", Description: "The resource requirement requests for this container. For example, 'cpu=100m,memory=256Mi'. Note that server side components may assign requests depending on the server configuration, such as limit ranges."},
	{Argument: "run", Text: "--restart", Alias: "", Provider: "", Description: "The restart policy for this Pod. Legal values [Always, OnFailure, Never]."},
	{Argument: "run", Text: "--rm", Alias: "", Provider: "bool", Description: "If true, delete resources created in this command for attached containers."},
	{Argument: "run", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "run", Text: "--serviceaccount", Alias: "", Provider: "", Description: "Service account to set in the pod spec."},
	{Argument: "run", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "run", Text: "--stdin", Alias: "-i", Provider: "bool", Description: "Keep stdin open on the container(s) in the pod, even if nothing is attached."},
	{Argument: "run", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "run", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up on a delete, zero means determine a timeout from the size of the object"},
	{Argument: "run", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocated a TTY for each container in the pod."},
	{Argument: "run", Text: "--wait", Alias: "", Provider: "bool", Description: "If true, wait for resources to be gone before returning. This waits for finalizers."},
	{Argument: "expose", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "expose", Text: "--cluster-ip", Alias: "", Provider: "", Description: "ClusterIP to be assigned to the service. Leave empty to auto-allocate, or set to 'None' to create a headless service."},
	{Argument: "expose", Text: "--container-port", Alias: "", Provider: "", Description: "Synonym for --target-port"},
	{Argument: "expose", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "expose", Text: "--external-ip", Alias: "", Provider: "", Description: "Additional external IP address (not managed by Kubernetes) to accept for the service. If this IP is routed to a node, the service can be accessed by this IP in addition to its generated service IP."},
	{Argument: "expose", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "expose", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to expose a service"},
	{Argument: "expose", Text: "--generator", Alias: "", Provider: "", Description: "The name of the API generator to use. There are 2 generators: 'service/v1' and 'service/v2'. The only difference between them is that service port in v1 is named 'default', while it is left unnamed in v2. Default is 'service/v2'."},
	{Argument: "expose", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "expose", Text: "--labels", Alias: "-l", Provider: "", Description: "Labels to apply to the service created by this call."},
	{Argument: "expose", Text: "--load-balancer-ip", Alias: "", Provider: "", Description: "IP to assign to the LoadBalancer. If empty, an ephemeral IP will be created and used (cloud-provider specific)."},
	{Argument: "expose", Text: "--name", Alias: "", Provider: "", Description: "The name for the newly created object."},
	{Argument: "expose", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "expose", Text: "--overrides", Alias: "", Provider: "", Description: "An inline JSON override for the generated object. If this is non-empty, it is used to override the generated object. Requires that the object supply a valid apiVersion field."},
	{Argument: "expose", Text: "--port", Alias: "", Provider: "", Description: "The port that the service should serve on. Copied from the resource being exposed, if unspecified"},
	{Argument: "expose", Text: "--protocol", Alias: "", Provider: "", Description: "The network protocol for the service to be created. Default is 'TCP'."},
	{Argument: "expose", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "expose", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "expose", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "expose", Text: "--selector", Alias: "", Provider: "", Description: "A label selector to use for this service. Only equality-based selector requirements are supported. If empty (the default) infer the selector from the replication controller or replica set.)"},
	{Argument: "expose", Text: "--session-affinity", Alias: "", Provider: "", Description: "If non-empty, set the session affinity for the service to this; legal values: 'None', 'ClientIP'"},
	{Argument: "expose", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "expose", Text: "--target-port", Alias: "", Provider: "", Description: "Name or number for the port on the container that the service should direct traffic to. Optional."},
	{Argument: "expose", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "expose", Text: "--type", Alias: "", Provider: "", Description: "Type for this service: ClusterIP, NodePort, LoadBalancer, or ExternalName. Default is 'ClusterIP'."},
	{Argument: "delete", Text: "--all", Alias: "", Provider: "bool", Description: "Delete all resources, including uninitialized ones, in the namespace of the specified resource types."},
	{Argument: "delete", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If present, list the requested object(s) across all namespaces. Namespace in current context is ignored even if specified with --namespace."},
	{Argument: "delete", Text: "--cascade", Alias: "", Provider: "cascade", Description: "Must be 'background', 'orphan', or 'foreground'. Selects the deletion cascading strategy for the dependents (e.g. Pods created by a ReplicationController). Defaults to background."},
	{Argument: "delete", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "delete", Text: "--field-selector", Alias: "", Provider: "", Description: "Selector (field query) to filter on, supports '=', '==', and '!='.(e.g. --field-selector key1=value1,key2=value2). The server only supports a limited number of field queries per type."},
	{Argument: "delete", Text: "--filename", Alias: "-f", Provider: "path", Description: "containing the resource to delete."},
	{Argument: "delete", Text: "--force", Alias: "", Provider: "bool", Description: "If true, immediately remove resources from API and bypass graceful deletion. Note that immediate deletion of some resources may result in inconsistency or data loss and requires confirmation."},
	{Argument: "delete", Text: "--grace-period", Alias: "", Provider: "", Description: "Period of time in seconds given to the resource to terminate gracefully. Ignored if negative. Set to 1 for immediate shutdown. Can only be set to 0 when --force is true (force deletion)."},
	{Argument: "delete", Text: "--ignore-not-found", Alias: "", Provider: "bool", Description: "Treat 'resource not found' as a successful delete. Defaults to 'true' when --all is specified."},
	{Argument: "delete", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process a kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "delete", Text: "--now", Alias: "", Provider: "bool", Description: "If true, resources are signaled for immediate shutdown (same as --grace-period=1)."},
	{Argument: "delete", Text: "--output", Alias: "-o", Provider: "output", Description: "Output mode. Use '-o name' for shorter output (resource/name)."},
	{Argument: "delete", Text: "--raw", Alias: "", Provider: "", Description: "Raw URI to DELETE to the server. Uses the transport specified by the kubeconfig file."},
	{Argument: "delete", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "delete", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, not including uninitialized ones."},
	{Argument: "delete", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up on a delete, zero means determine a timeout from the size of the object"},
	{Argument: "delete", Text: "--wait", Alias: "", Provider: "bool", Description: "If true, wait for resources to be gone before returning. This waits for finalizers."},
	{Argument: "apply", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources in the namespace of the specified resource types."},
	{Argument: "apply", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "apply", Text: "--cascade", Alias: "", Provider: "cascade", Description: "Must be 'background', 'orphan', or 'foreground'. Selects the deletion cascading strategy for the dependents (e.g. Pods created by a ReplicationController). Defaults to background."},
	{Argument: "apply", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "apply", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "apply", Text: "--filename", Alias: "-f", Provider: "path", Description: "that contains the configuration to apply"},
	{Argument: "apply", Text: "--force", Alias: "", Provider: "bool", Description: "If true, immediately remove resources from API and bypass graceful deletion. Note that immediate deletion of some resources may result in inconsistency or data loss and requires confirmation."},
	{Argument: "apply", Text: "--force-conflicts", Alias: "", Provider: "bool", Description: "If true, server-side apply will force the changes against conflicts."},
	{Argument: "apply", Text: "--grace-period", Alias: "", Provider: "", Description: "Period of time in seconds given to the resource to terminate gracefully. Ignored if negative. Set to 1 for immediate shutdown. Can only be set to 0 when --force is true (force deletion)."},
	{Argument: "apply", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process a kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "apply", Text: "--openapi-patch", Alias: "", Provider: "bool", Description: "If true, use openapi to calculate diff when the openapi presents and the resource can be found in the openapi spec. Otherwise, fall back to use baked-in types."},
	{Argument: "apply", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "apply", Text: "--overwrite", Alias: "", Provider: "bool", Description: "Automatically resolve conflicts between the modified and live configuration by using values from the modified configuration"},
	{Argument: "apply", Text: "--prune", Alias: "", Provider: "bool", Description: "Automatically delete resource objects, including the uninitialized ones, that do not appear in the configs and are created by either apply or create --save-config. Should be used with either -l or --all."},
	{Argument: "apply", Text: "--prune-whitelist", Alias: "", Provider: "", Description: "Overwrite the default whitelist with <group/version/kind> for --prune"},
	{Argument: "apply", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "apply", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "apply", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "apply", Text: "--server-side", Alias: "", Provider: "bool", Description: "If true, apply runs in the server instead of the Client."},
	{Argument: "apply", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "apply", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "apply", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up on a delete, zero means determine a timeout from the size of the object"},
	{Argument: "apply", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "apply", Text: "--wait", Alias: "", Provider: "bool", Description: "If true, wait for resources to be gone before returning. This waits for finalizers."},
	{Argument: "apply edit-last-applied", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "apply edit-last-applied", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "apply edit-last-applied", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files to use to edit the resource"},
	{Argument: "apply edit-last-applied", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "apply edit-last-applied", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "apply edit-last-applied", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "apply edit-last-applied", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "apply edit-last-applied", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "apply edit-last-applied", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "apply edit-last-applied", Text: "--windows-line-endings", Alias: "", Provider: "bool", Description: "Defaults to the line ending native to your platform."},
	{Argument: "apply set-last-applied", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "apply set-last-applied", Text: "--create-annotation", Alias: "", Provider: "bool", Description: "Will create 'last-applied-configuration' annotations if current objects doesn't have one"},
	{Argument: "apply set-last-applied", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "apply set-last-applied", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files that contains the last-applied-configuration annotations"},
	{Argument: "apply set-last-applied", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "apply set-last-applied", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "apply set-last-applied", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "apply view-last-applied", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources in the namespace of the specified resource types"},
	{Argument: "apply view-last-applied", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files that contains the last-applied-configuration annotations"},
	{Argument: "apply view-last-applied", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "apply view-last-applied", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. Must be one of yaml|json"},
	{Argument: "apply view-last-applied", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "apply view-last-applied", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "annotate", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources, including uninitialized ones, in the namespace of the specified resource types."},
	{Argument: "annotate", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "annotate", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "annotate", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "annotate", Text: "--field-selector", Alias: "", Provider: "", Description: "Selector (field query) to filter on, supports '=', '==', and '!='.(e.g. --field-selector key1=value1,key2=value2). The server only supports a limited number of field queries per type."},
	{Argument: "annotate", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to update the annotation"},
	{Argument: "annotate", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "annotate", Text: "--list", Alias: "", Provider: "bool", Description: "If true, display the annotations for a given resource."},
	{Argument: "annotate", Text: "--local", Alias: "", Provider: "bool", Description: "If true, annotation will NOT contact api-server but run locally."},
	{Argument: "annotate", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "annotate", Text: "--overwrite", Alias: "", Provider: "bool", Description: "If true, allow annotations to be overwritten, otherwise reject annotation updates that overwrite existing annotations."},
	{Argument: "annotate", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "annotate", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "annotate", Text: "--resource-version", Alias: "", Provider: "", Description: "If non-empty, the annotation update will only succeed if this is the current resource-version for the object. Only valid when specifying a single resource."},
	{Argument: "annotate", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, not including uninitialized ones, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)."},
	{Argument: "annotate", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "annotate", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "autoscale", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "autoscale", Text: "--cpu-percent", Alias: "", Provider: "", Description: "The target average CPU utilization (represented as a percent of requested CPU) over all the pods. If it's not specified or negative, a default autoscaling policy will be used."},
	{Argument: "autoscale", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "autoscale", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "autoscale", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to autoscale."},
	{Argument: "autoscale", Text: "--generator", Alias: "", Provider: "", Description: "The name of the API generator to use. Currently there is only 1 generator."},
	{Argument: "autoscale", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "autoscale", Text: "--max", Alias: "", Provider: "", Description: "The upper limit for the number of pods that can be set by the autoscaler. Required."},
	{Argument: "autoscale", Text: "--min", Alias: "", Provider: "", Description: "The lower limit for the number of pods that can be set by the autoscaler. If it's not specified or negative, the server will apply a default value."},
	{Argument: "autoscale", Text: "--name", Alias: "", Provider: "", Description: "The name for the newly created object. If not specified, the name of the input resource will be used."},
	{Argument: "autoscale", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "autoscale", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "autoscale", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "autoscale", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "autoscale", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "autoscale", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "debug", Text: "--arguments-only", Alias: "", Provider: "bool", Description: "If specified, everything after -- will be passed to the new container as Args instead of Command."},
	{Argument: "debug", Text: "--attach", Alias: "", Provider: "bool", Description: "If true, wait for the container to start running, and then attach as if 'kubectl attach ...' were called. Default false, unless '-i/--stdin' is set, in which case the default is true."},
	{Argument: "debug", Text: "--container", Alias: "-c", Provider: "", Description: "Container name to use for debug container."},
	{Argument: "debug", Text: "--copy-to", Alias: "", Provider: "", Description: "Create a copy of the target Pod with this name."},
	{Argument: "debug", Text: "--env", Alias: "", Provider: "", Description: "Environment variables to set in the container."},
	{Argument: "debug", Text: "--image", Alias: "", Provider: "image", Description: "Container image to use for debug container."},
	{Argument: "debug", Text: "--image-pull-policy", Alias: "", Provider: "", Description: "The image pull policy for the container. If left empty, this value will not be specified by the Client and defaulted by the server."},
	{Argument: "debug", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "If true, suppress informational messages."},
	{Argument: "debug", Text: "--replace", Alias: "", Provider: "bool", Description: "When used with '--copy-to', delete the original Pod."},
	{Argument: "debug", Text: "--same-node", Alias: "", Provider: "bool", Description: "When used with '--copy-to', schedule the copy of target Pod on the same node."},
	{Argument: "debug", Text: "--set-image", Alias: "", Provider: "", Description: "When used with '--copy-to', a list of name=image pairs for changing container images, similar to how 'kubectl set image' works."},
	{Argument: "debug", Text: "--share-processes", Alias: "", Provider: "bool", Description: "When used with '--copy-to', enable process namespace sharing in the copy."},
	{Argument: "debug", Text: "--stdin", Alias: "-i", Provider: "bool", Description: "Keep stdin open on the container(s) in the pod, even if nothing is attached."},
	{Argument: "debug", Text: "--target", Alias: "", Provider: "", Description: "When using an ephemeral container, target processes in this container name."},
	{Argument: "debug", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Allocate a TTY for the debugging container."},
	{Argument: "diff", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "diff", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files contains the configuration to diff"},
	{Argument: "diff", Text: "--force-conflicts", Alias: "", Provider: "bool", Description: "If true, server-side apply will force the changes against conflicts."},
	{Argument: "diff", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "diff", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "diff", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "diff", Text: "--server-side", Alias: "", Provider: "bool", Description: "If true, apply runs in the server instead of the Client."},
	{Argument: "edit", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "edit", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "edit", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files to use to edit the resource"},
	{Argument: "edit", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "edit", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "edit", Text: "--output-patch", Alias: "", Provider: "bool", Description: "Output the patch if the resource is edited."},
	{Argument: "edit", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "edit", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "edit", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "edit", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "edit", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "edit", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "edit", Text: "--windows-line-endings", Alias: "", Provider: "bool", Description: "Defaults to the line ending native to your platform."},
	{Argument: "kustomize", Text: "--allow-id-changes", Alias: "", Provider: "bool", Description: "enable changes to a resourceId"},
	{Argument: "kustomize", Text: "--enable-alpha-plugins", Alias: "", Provider: "bool", Description: "enable kustomize plugins"},
	{Argument: "kustomize", Text: "--enable-managedby-label", Alias: "", Provider: "bool", Description: "enable adding app.kubernetes.io/managed-by"},
	{Argument: "kustomize", Text: "--env", Alias: "-e", Provider: "", Description: "a list of environment variables to be used by functions"},
	{Argument: "kustomize", Text: "--load-restrictor", Alias: "", Provider: "", Description: "if set to 'LoadRestrictionsNone', local kustomizations may load files from outside their root. This does, however, break the relocatability of the kustomization."},
	{Argument: "kustomize", Text: "--mount", Alias: "", Provider: "", Description: "a list of storage options read from the filesystem"},
	{Argument: "kustomize", Text: "--network", Alias: "", Provider: "bool", Description: "enable network access for functions that declare it"},
	{Argument: "kustomize", Text: "--network-name", Alias: "", Provider: "", Description: "the docker network to run the container in"},
	{Argument: "kustomize", Text: "--output", Alias: "-o", Provider: "output", Description: "If specified, write output to this path."},
	{Argument: "kustomize", Text: "--reorder", Alias: "", Provider: "", Description: "Reorder the resources just before output. Use 'legacy' to apply a legacy reordering (Namespaces first, Webhooks last, etc). Use 'none' to suppress a final reordering."},
	{Argument: "label", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources, including uninitialized ones, in the namespace of the specified resource types"},
	{Argument: "label", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "label", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "label", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "label", Text: "--field-selector", Alias: "", Provider: "", Description: "Selector (field query) to filter on, supports '=', '==', and '!='.(e.g. --field-selector key1=value1,key2=value2). The server only supports a limited number of field queries per type."},
	{Argument: "label", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to update the labels"},
	{Argument: "label", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "label", Text: "--list", Alias: "", Provider: "bool", Description: "If true, display the labels for a given resource."},
	{Argument: "label", Text: "--local", Alias: "", Provider: "bool", Description: "If true, label will NOT contact api-server but run locally."},
	{Argument: "label", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "label", Text: "--overwrite", Alias: "", Provider: "bool", Description: "If true, allow labels to be overwritten, otherwise reject label updates that overwrite existing labels."},
	{Argument: "label", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "label", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "label", Text: "--resource-version", Alias: "", Provider: "", Description: "If non-empty, the labels update will only succeed if this is the current resource-version for the object. Only valid when specifying a single resource."},
	{Argument: "label", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, not including uninitialized ones, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)."},
	{Argument: "label", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "label", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "patch", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "patch", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "patch", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "patch", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to update"},
	{Argument: "patch", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "patch", Text: "--local", Alias: "", Provider: "bool", Description: "If true, patch will operate on the content of the file, not the server-side resource."},
	{Argument: "patch", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "patch", Text: "--patch", Alias: "-p", Provider: "", Description: "The patch to be applied to the resource JSON file."},
	{Argument: "patch", Text: "--patch-file", Alias: "", Provider: "path", Description: "A file containing a patch to be applied to the resource."},
	{Argument: "patch", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "patch", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "patch", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "patch", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "patch", Text: "--type", Alias: "", Provider: "", Description: "The type of patch being provided; one of [json merge strategic]"},
	{Argument: "replace", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "replace", Text: "--cascade", Alias: "", Provider: "cascade", Description: "Must be 'background', 'orphan', or 'foreground'. Selects the deletion cascading strategy for the dependents (e.g. Pods created by a ReplicationController). Defaults to background."},
	{Argument: "replace", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "replace", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "replace", Text: "--filename", Alias: "-f", Provider: "path", Description: "to use to replace the resource."},
	{Argument: "replace", Text: "--force", Alias: "", Provider: "bool", Description: "If true, immediately remove resources from API and bypass graceful deletion. Note that immediate deletion of some resources may result in inconsistency or data loss and requires confirmation."},
	{Argument: "replace", Text: "--grace-period", Alias: "", Provider: "", Description: "Period of time in seconds given to the resource to terminate gracefully. Ignored if negative. Set to 1 for immediate shutdown. Can only be set to 0 when --force is true (force deletion)."},
	{Argument: "replace", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process a kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "replace", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "replace", Text: "--raw", Alias: "", Provider: "", Description: "Raw URI to PUT to the server. Uses the transport specified by the kubeconfig file."},
	{Argument: "replace", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "replace", Text: "--save-config", Alias: "", Provider: "bool", Description: "If true, the configuration of current object will be saved in its annotation. Otherwise, the annotation will be unchanged. This flag is useful when you want to perform kubectl apply on this object in the future."},
	{Argument: "replace", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "replace", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "replace", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up on a delete, zero means determine a timeout from the size of the object"},
	{Argument: "replace", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "replace", Text: "--wait", Alias: "", Provider: "bool", Description: "If true, wait for resources to be gone before returning. This waits for finalizers."},
	{Argument: "rollout history", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "rollout history", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "rollout history", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "rollout history", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "rollout history", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "rollout history", Text: "--revision", Alias: "", Provider: "", Description: "See the details, including podTemplate of the revision specified"},
	{Argument: "rollout history", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "rollout history", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "rollout pause", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "rollout pause", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "rollout pause", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "rollout pause", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "rollout pause", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "rollout pause", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "rollout pause", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "rollout pause", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "rollout restart", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "rollout restart", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "rollout restart", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "rollout restart", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "rollout restart", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "rollout restart", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "rollout restart", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "rollout restart", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "rollout resume", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "rollout resume", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "rollout resume", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "rollout resume", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "rollout resume", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "rollout resume", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "rollout resume", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "rollout resume", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "rollout status", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "rollout status", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "rollout status", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "rollout status", Text: "--revision", Alias: "", Provider: "", Description: "Pin to a specific revision for showing its status. Defaults to 0 (last revision)."},
	{Argument: "rollout status", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before ending watch, zero means never. Any other values should contain a corresponding time unit (e.g. 1s, 2m, 3h)."},
	{Argument: "rollout status", Text: "--watch", Alias: "-w", Provider: "bool", Description: "Watch the status of the rollout until it's done."},
	{Argument: "rollout undo", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "rollout undo", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "rollout undo", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "rollout undo", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "rollout undo", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "rollout undo", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "rollout undo", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "rollout undo", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "rollout undo", Text: "--to-revision", Alias: "", Provider: "", Description: "The revision to rollback to. Default to 0 (last revision)."},
	{Argument: "scale", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources in the namespace of the specified resource types"},
	{Argument: "scale", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "scale", Text: "--current-replicas", Alias: "", Provider: "", Description: "Precondition for current size. Requires that the current size of the resource match this value in order to scale."},
	{Argument: "scale", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "scale", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to set a new size"},
	{Argument: "scale", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "scale", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "scale", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "scale", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "scale", Text: "--replicas", Alias: "", Provider: "", Description: "The new desired number of replicas. Required."},
	{Argument: "scale", Text: "--resource-version", Alias: "", Provider: "", Description: "Precondition for resource version. Requires that the current resource version match this value in order to scale."},
	{Argument: "scale", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "scale", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "scale", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "scale", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up on a scale operation, zero means don't wait. Any other values should contain a corresponding time unit (e.g. 1s, 2m, 3h)."},
	{Argument: "set env", Text: "--all", Alias: "", Provider: "bool", Description: "If true, select all resources in the namespace of the specified resource types"},
	{Argument: "set env", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "set env", Text: "--containers", Alias: "-c", Provider: "", Description: "The names of containers in the selected pod templates to change - may use wildcards"},
	{Argument: "set env", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "set env", Text: "--env", Alias: "-e", Provider: "", Description: "Specify a key-value pair for an environment variable to set into each container."},
	{Argument: "set env", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "set env", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files the resource to update the env"},
	{Argument: "set env", Text: "--from", Alias: "", Provider: "", Description: "The name of a resource from which to inject environment variables"},
	{Argument: "set env", Text: "--keys", Alias: "", Provider: "", Description: "Comma-separated list of keys to import from specified resource"},
	{Argument: "set env", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "set env", Text: "--list", Alias: "", Provider: "bool", Description: "If true, display the environment and any changes in the standard format. this flag will removed when we have kubectl view env."},
	{Argument: "set env", Text: "--local", Alias: "", Provider: "bool", Description: "If true, set env will NOT contact api-server but run locally."},
	{Argument: "set env", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "set env", Text: "--overwrite", Alias: "", Provider: "bool", Description: "If true, allow environment to be overwritten, otherwise reject updates that overwrite existing environment."},
	{Argument: "set env", Text: "--prefix", Alias: "", Provider: "", Description: "Prefix to append to variable names"},
	{Argument: "set env", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "set env", Text: "--resolve", Alias: "", Provider: "bool", Description: "If true, show secret or configmap references when listing variables"},
	{Argument: "set env", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on"},
	{Argument: "set env", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "set env", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "set image", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources, including uninitialized ones, in the namespace of the specified resource types"},
	{Argument: "set image", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "set image", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "set image", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "set image", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "set image", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "set image", Text: "--local", Alias: "", Provider: "bool", Description: "If true, set image will NOT contact api-server but run locally."},
	{Argument: "set image", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "set image", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "set image", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "set image", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, not including uninitialized ones, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "set image", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "set image", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "set resources", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources, including uninitialized ones, in the namespace of the specified resource types"},
	{Argument: "set resources", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "set resources", Text: "--containers", Alias: "-c", Provider: "", Description: "The names of containers in the selected pod templates to change, all containers are selected by default - may use wildcards"},
	{Argument: "set resources", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "set resources", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "set resources", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "set resources", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "set resources", Text: "--limits", Alias: "", Provider: "", Description: "The resource requirement requests for this container. For example, 'cpu=100m,memory=256Mi'. Note that server side components may assign requests depending on the server configuration, such as limit ranges."},
	{Argument: "set resources", Text: "--local", Alias: "", Provider: "bool", Description: "If true, set resources will NOT contact api-server but run locally."},
	{Argument: "set resources", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "set resources", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "set resources", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "set resources", Text: "--requests", Alias: "", Provider: "", Description: "The resource requirement requests for this container. For example, 'cpu=100m,memory=256Mi'. Note that server side components may assign requests depending on the server configuration, such as limit ranges."},
	{Argument: "set resources", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, not including uninitialized ones,supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "set resources", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "set resources", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "set selector", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources in the namespace of the specified resource types"},
	{Argument: "set selector", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "set selector", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "set selector", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "set selector", Text: "--filename", Alias: "-f", Provider: "path", Description: "identifying the resource."},
	{Argument: "set selector", Text: "--local", Alias: "", Provider: "bool", Description: "If true, annotation will NOT contact api-server but run locally."},
	{Argument: "set selector", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "set selector", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "set selector", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "set selector", Text: "--resource-version", Alias: "", Provider: "", Description: "If non-empty, the selectors update will only succeed if this is the current resource-version for the object. Only valid when specifying a single resource."},
	{Argument: "set selector", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "set selector", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "set serviceaccount", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources, including uninitialized ones, in the namespace of the specified resource types"},
	{Argument: "set serviceaccount", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "set serviceaccount", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "set serviceaccount", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "set serviceaccount", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to get from a server."},
	{Argument: "set serviceaccount", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "set serviceaccount", Text: "--local", Alias: "", Provider: "bool", Description: "If true, set serviceaccount will NOT contact api-server but run locally."},
	{Argument: "set serviceaccount", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "set serviceaccount", Text: "--record", Alias: "", Provider: "bool", Description: "Record current kubectl command in the resource annotation. If set to false, do not record the command. If set to true, record the command. If not set, default to updating the existing annotation value only if one already exists."},
	{Argument: "set serviceaccount", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "set serviceaccount", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "set serviceaccount", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "set subject", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources, including uninitialized ones, in the namespace of the specified resource types"},
	{Argument: "set subject", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "set subject", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "set subject", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "set subject", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files the resource to update the subjects"},
	{Argument: "set subject", Text: "--group", Alias: "", Provider: "", Description: "Groups to bind to the role"},
	{Argument: "set subject", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "set subject", Text: "--local", Alias: "", Provider: "bool", Description: "If true, set subject will NOT contact api-server but run locally."},
	{Argument: "set subject", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "set subject", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "set subject", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, not including uninitialized ones, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "set subject", Text: "--serviceaccount", Alias: "", Provider: "serviceaccount", Description: "Service accounts to bind to the role"},
	{Argument: "set subject", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "set subject", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "wait", Text: "--all", Alias: "", Provider: "bool", Description: "Select all resources in the namespace of the specified resource types"},
	{Argument: "wait", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If present, list the requested object(s) across all namespaces. Namespace in current context is ignored even if specified with --namespace."},
	{Argument: "wait", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "wait", Text: "--field-selector", Alias: "", Provider: "", Description: "Selector (field query) to filter on, supports '=', '==', and '!='.(e.g. --field-selector key1=value1,key2=value2). The server only supports a limited number of field queries per type."},
	{Argument: "wait", Text: "--filename", Alias: "-f", Provider: "path", Description: "identifying the resource."},
	{Argument: "wait", Text: "--for", Alias: "", Provider: "", Description: "The condition to wait on:[delete|condition=condition-name]. The default status value of condition-name is true, you can set false with condition=condition-name=false"},
	{Argument: "wait", Text: "--local", Alias: "", Provider: "bool", Description: "If true, annotation will NOT contact api-server but run locally."},
	{Argument: "wait", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "wait", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "wait", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "wait", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "wait", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "wait", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up. Zero means check once and don't wait, negative means wait for a week."},
	{Argument: "attach", Text: "--container", Alias: "-c", Provider: "", Description: "Container name. If omitted, use the kubectl.kubernetes.io/default-container annotation for selecting the container to be attached or the first container in the pod will be chosen"},
	{Argument: "attach", Text: "--pod-running-timeout", Alias: "", Provider: "", Description: "The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running"},
	{Argument: "attach", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only print output from the remote session"},
	{Argument: "attach", Text: "--stdin", Alias: "-i", Provider: "bool", Description: "Pass stdin to the container"},
	{Argument: "attach", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Stdin is a TTY"},
	{Argument: "auth can-i", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If true, check the specified action in all namespaces."},
	{Argument: "auth can-i", Text: "--list", Alias: "", Provider: "bool", Description: "If true, prints all allowed actions."},
	{Argument: "auth can-i", Text: "--no-headers", Alias: "", Provider: "bool", Description: "If true, prints allowed actions without headers"},
	{Argument: "auth can-i", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "If true, suppress output and just return the exit code."},
	{Argument: "auth can-i", Text: "--subresource", Alias: "", Provider: "", Description: "SubResource such as pod/log or deployment/scale"},
	{Argument: "auth reconcile", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "auth reconcile", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "auth reconcile", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to reconcile."},
	{Argument: "auth reconcile", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "auth reconcile", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "auth reconcile", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "auth reconcile", Text: "--remove-extra-permissions", Alias: "", Provider: "bool", Description: "If true, removes extra permissions added to roles"},
	{Argument: "auth reconcile", Text: "--remove-extra-subjects", Alias: "", Provider: "bool", Description: "If true, removes extra subjects added to rolebindings"},
	{Argument: "auth reconcile", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "auth reconcile", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "cp", Text: "--container", Alias: "-c", Provider: "", Description: "Container name. If omitted, use the kubectl.kubernetes.io/default-container annotation for selecting the container to be attached or the first container in the pod will be chosen"},
	{Argument: "cp", Text: "--no-preserve", Alias: "", Provider: "bool", Description: "The copied file/directory's ownership and permissions will not be preserved in the container"},
	{Argument: "describe", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If present, list the requested object(s) across all namespaces. Namespace in current context is ignored even if specified with --namespace."},
	{Argument: "describe", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files containing the resource to describe"},
	{Argument: "describe", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "describe", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "describe", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "describe", Text: "--show-events", Alias: "", Provider: "bool", Description: "If true, display events related to the described object."},
	{Argument: "exec", Text: "--container", Alias: "-c", Provider: "", Description: "Container name. If omitted, use the kubectl.kubernetes.io/default-container annotation for selecting the container to be attached or the first container in the pod will be chosen"},
	{Argument: "exec", Text: "--filename", Alias: "-f", Provider: "path", Description: "to use to exec into the resource"},
	{Argument: "exec", Text: "--pod-running-timeout", Alias: "", Provider: "", Description: "The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running"},
	{Argument: "exec", Text: "--quiet", Alias: "-q", Provider: "bool", Description: "Only print output from the remote session"},
	{Argument: "exec", Text: "--stdin", Alias: "-i", Provider: "bool", Description: "Pass stdin to the container"},
	{Argument: "exec", Text: "--tty", Alias: "-t", Provider: "bool", Description: "Stdin is a TTY"},
	{Argument: "logs", Text: "--all-containers", Alias: "", Provider: "bool", Description: "Get all containers' logs in the pod(s)."},
	{Argument: "logs", Text: "--container", Alias: "-c", Provider: "", Description: "Print the logs of this container"},
	{Argument: "logs", Text: "--follow", Alias: "-f", Provider: "bool", Description: "Specify if the logs should be streamed."},
	{Argument: "logs", Text: "--ignore-errors", Alias: "", Provider: "bool", Description: "If watching / following pod logs, allow for any errors that occur to be non-fatal"},
	{Argument: "logs", Text: "--insecure-skip-tls-verify-backend", Alias: "", Provider: "bool", Description: "Skip verifying the identity of the kubelet that logs are requested from. In theory, an attacker could provide invalid log content back. You might want to use this if your kubelet serving certificates have expired."},
	{Argument: "logs", Text: "--limit-bytes", Alias: "", Provider: "", Description: "Maximum bytes of logs to return. Defaults to no limit."},
	{Argument: "logs", Text: "--max-log-requests", Alias: "", Provider: "", Description: "Specify maximum number of concurrent logs to follow when using by a selector. Defaults to 5."},
	{Argument: "logs", Text: "--pod-running-timeout", Alias: "", Provider: "", Description: "The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running"},
	{Argument: "logs", Text: "--prefix", Alias: "", Provider: "bool", Description: "Prefix each log line with the log source (pod name and container name)"},
	{Argument: "logs", Text: "--previous", Alias: "-p", Provider: "bool", Description: "If true, print the logs for the previous instance of the container in a pod if it exists."},
	{Argument: "logs", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on."},
	{Argument: "logs", Text: "--since", Alias: "", Provider: "", Description: "Only return logs newer than a relative duration like 5s, 2m, or 3h. Defaults to all logs. Only one of since-time / since may be used."},
	{Argument: "logs", Text: "--since-time", Alias: "", Provider: "", Description: "Only return logs after a specific date (RFC3339). Defaults to all logs. Only one of since-time / since may be used."},
	{Argument: "logs", Text: "--tail", Alias: "", Provider: "", Description: "Lines of recent log file to display. Defaults to -1 with no selector, showing all log lines otherwise 10, if a selector is provided."},
	{Argument: "logs", Text: "--timestamps", Alias: "", Provider: "bool", Description: "Include timestamps on each line in the log output"},
	{Argument: "port-forward", Text: "--address", Alias: "", Provider: "", Description: "Addresses to listen on (comma separated). Only accepts IP addresses or localhost as a value. When localhost is supplied, kubectl will try to bind on both 127.0.0.1 and ::1 and will fail if neither of these addresses are available to bind."},
	{Argument: "port-forward", Text: "--pod-running-timeout", Alias: "", Provider: "", Description: "The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running"},
	{Argument: "proxy", Text: "--accept-hosts", Alias: "", Provider: "", Description: "Regular expression for hosts that the proxy should accept."},
	{Argument: "proxy", Text: "--accept-paths", Alias: "", Provider: "", Description: "Regular expression for paths that the proxy should accept."},
	{Argument: "proxy", Text: "--address", Alias: "", Provider: "", Description: "The IP address on which to serve on."},
	{Argument: "proxy", Text: "--api-prefix", Alias: "", Provider: "", Description: "Prefix to serve the proxied API under."},
	{Argument: "proxy", Text: "--disable-filter", Alias: "", Provider: "bool", Description: "If true, disable request filtering in the proxy. This is dangerous, and can leave you vulnerable to XSRF attacks, when used with an accessible port."},
	{Argument: "proxy", Text: "--keepalive", Alias: "", Provider: "", Description: "keepalive specifies the keep-alive period for an active network connection. Set to 0 to disable keepalive."},
	{Argument: "proxy", Text: "--port", Alias: "-p", Provider: "", Description: "The port on which to run the proxy. Set to 0 to pick a random port."},
	{Argument: "proxy", Text: "--reject-methods", Alias: "", Provider: "", Description: "Regular expression for HTTP methods that the proxy should reject (example --reject-methods='POST,PUT,PATCH')."},
	{Argument: "proxy", Text: "--reject-paths", Alias: "", Provider: "", Description: "Regular expression for paths that the proxy should reject. Paths specified here will be rejected even accepted by --accept-paths."},
	{Argument: "proxy", Text: "--unix-socket", Alias: "-u", Provider: "", Description: "Unix socket on which to run the proxy."},
	{Argument: "proxy", Text: "--www", Alias: "-w", Provider: "", Description: "Also serve static files from the given directory under the specified prefix."},
	{Argument: "proxy", Text: "--www-prefix", Alias: "-P", Provider: "", Description: "Prefix to serve static files under, if static file directory is specified."},
	{Argument: "top node", Text: "--no-headers", Alias: "", Provider: "bool", Description: "If present, print output without headers"},
	{Argument: "top node", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "top node", Text: "--sort-by", Alias: "", Provider: "", Description: "If non-empty, sort nodes list using specified field. The field can be either 'cpu' or 'memory'."},
	{Argument: "top node", Text: "--use-protocol-buffers", Alias: "", Provider: "bool", Description: "If present, protocol-buffers will be used to request metrics."},
	{Argument: "top pod", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If present, list the requested object(s) across all namespaces. Namespace in current context is ignored even if specified with --namespace."},
	{Argument: "top pod", Text: "--containers", Alias: "", Provider: "bool", Description: "If present, print usage of containers within a pod."},
	{Argument: "top pod", Text: "--no-headers", Alias: "", Provider: "bool", Description: "If present, print output without headers."},
	{Argument: "top pod", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "top pod", Text: "--sort-by", Alias: "", Provider: "", Description: "If non-empty, sort pods list using specified field. The field can be either 'cpu' or 'memory'."},
	{Argument: "top pod", Text: "--use-protocol-buffers", Alias: "", Provider: "bool", Description: "If present, protocol-buffers will be used to request metrics."},
	{Argument: "certificate approve", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "certificate approve", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to update"},
	{Argument: "certificate approve", Text: "--force", Alias: "", Provider: "bool", Description: "Update the CSR even if it is already approved."},
	{Argument: "certificate approve", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "certificate approve", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "certificate approve", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "certificate approve", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "certificate approve", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "certificate deny", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "certificate deny", Text: "--filename", Alias: "-f", Provider: "path", Description: "Filename, directory, or URL to files identifying the resource to update"},
	{Argument: "certificate deny", Text: "--force", Alias: "", Provider: "bool", Description: "Update the CSR even if it is already denied."},
	{Argument: "certificate deny", Text: "--kustomize", Alias: "-k", Provider: "", Description: "Process the kustomization directory. This flag can't be used together with -f or -R."},
	{Argument: "certificate deny", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "certificate deny", Text: "--recursive", Alias: "-R", Provider: "bool", Description: "Process the directory used in -f, --filename recursively. Useful when you want to manage related manifests organized within the same directory."},
	{Argument: "certificate deny", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "certificate deny", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "cluster-info dump", Text: "--all-namespaces", Alias: "-A", Provider: "bool", Description: "If true, dump all namespaces. If true, --namespaces is ignored."},
	{Argument: "cluster-info dump", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "cluster-info dump", Text: "--namespaces", Alias: "", Provider: "", Description: "A comma separated list of namespaces to dump."},
	{Argument: "cluster-info dump", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "cluster-info dump", Text: "--output-directory", Alias: "", Provider: "", Description: "Where to output the files. If empty or '-' uses stdout, otherwise creates a directory hierarchy in that directory"},
	{Argument: "cluster-info dump", Text: "--pod-running-timeout", Alias: "", Provider: "", Description: "The length of time (like 5s, 2m, or 3h, higher than zero) to wait until at least one pod is running"},
	{Argument: "cluster-info dump", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "cluster-info dump", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "cordon", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "cordon", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on"},
	{Argument: "drain", Text: "--delete-emptydir-data", Alias: "", Provider: "bool", Description: "Continue even if there are pods using emptyDir (local data that will be deleted when the node is drained)."},
	{Argument: "drain", Text: "--delete-local-data", Alias: "", Provider: "bool", Description: "Continue even if there are pods using emptyDir (local data that will be deleted when the node is drained)."},
	{Argument: "drain", Text: "--disable-eviction", Alias: "", Provider: "bool", Description: "Force drain to use delete, even if eviction is supported. This will bypass checking PodDisruptionBudgets, use with caution."},
	{Argument: "drain", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "drain", Text: "--force", Alias: "", Provider: "bool", Description: "Continue even if there are pods not managed by a ReplicationController, ReplicaSet, Job, DaemonSet or StatefulSet."},
	{Argument: "drain", Text: "--grace-period", Alias: "", Provider: "", Description: "Period of time in seconds given to each pod to terminate gracefully. If negative, the default value specified in the pod will be used."},
	{Argument: "drain", Text: "--ignore-daemonsets", Alias: "", Provider: "bool", Description: "Ignore DaemonSet-managed pods."},
	{Argument: "drain", Text: "--ignore-errors", Alias: "", Provider: "bool", Description: "Ignore errors occurred between drain nodes in group."},
	{Argument: "drain", Text: "--pod-selector", Alias: "", Provider: "", Description: "Label selector to filter pods on the node"},
	{Argument: "drain", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on"},
	{Argument: "drain", Text: "--skip-wait-for-delete-timeout", Alias: "", Provider: "", Description: "If pod DeletionTimestamp older than N seconds, skip waiting for the pod. Seconds must be greater than 0 to skip."},
	{Argument: "drain", Text: "--timeout", Alias: "", Provider: "", Description: "The length of time to wait before giving up, zero means infinite"},
	{Argument: "taint", Text: "--all", Alias: "", Provider: "bool", Description: "Select all nodes in the cluster"},
	{Argument: "taint", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "taint", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "taint", Text: "--field-manager", Alias: "", Provider: "", Description: "Name of the manager used to track field ownership."},
	{Argument: "taint", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "taint", Text: "--overwrite", Alias: "", Provider: "bool", Description: "If true, allow taints to be overwritten, otherwise reject taint updates that overwrite existing taints."},
	{Argument: "taint", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on, supports '=', '==', and '!='.(e.g. -l key1=value1,key2=value2)"},
	{Argument: "taint", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "taint", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "taint", Text: "--validate", Alias: "", Provider: "bool", Description: "If true, use a schema to validate the input before sending it"},
	{Argument: "uncordon", Text: "--dry-run", Alias: "", Provider: "bool", Description: "Must be 'none', 'server', or 'Client'. If Client strategy, only print the object that would be sent, without sending it. If server strategy, submit server-side request without persisting the resource."},
	{Argument: "uncordon", Text: "--selector", Alias: "-l", Provider: "", Description: "Selector (label query) to filter on"},
	{Argument: "api-resources", Text: "--api-group", Alias: "", Provider: "", Description: "Limit to resources in the specified API group."},
	{Argument: "api-resources", Text: "--cached", Alias: "", Provider: "bool", Description: "Use the cached list of resources if available."},
	{Argument: "api-resources", Text: "--namespaced", Alias: "", Provider: "bool", Description: "If false, non-namespaced resources will be returned, otherwise returning namespaced resources by default."},
	{Argument: "api-resources", Text: "--no-headers", Alias: "", Provider: "bool", Description: "When using the default or custom-column output format, don't print headers (default print headers)."},
	{Argument: "api-resources", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: wide|name."},
	{Argument: "api-resources", Text: "--sort-by", Alias: "", Provider: "", Description: "If non-empty, sort list of resources using specified field. The field can be either 'name' or 'kind'."},
	{Argument: "api-resources", Text: "--verbs", Alias: "", Provider: "", Description: "Limit to resources that support the specified verbs."},
	{Argument: "config get-contexts", Text: "--no-headers", Alias: "", Provider: "bool", Description: "When using the default or custom-column output format, don't print headers (default print headers)."},
	{Argument: "config get-contexts", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format."},
	{Argument: "config set", Text: "--set-raw-bytes", Alias: "", Provider: "bool", Description: "When writing a []byte PROPERTY_VALUE, write the given string directly without base64 decoding."},
	{Argument: "config set-credentials", Text: "--auth-provider", Alias: "", Provider: "", Description: "Auth provider for the user entry in kubeconfig"},
	{Argument: "config set-credentials", Text: "--auth-provider-arg", Alias: "", Provider: "", Description: "'key=value' arguments for the auth provider"},
	{Argument: "config set-credentials", Text: "--embed-certs", Alias: "", Provider: "bool", Description: "Embed Client cert/key for the user entry in kubeconfig"},
	{Argument: "config set-credentials", Text: "--exec-api-version", Alias: "", Provider: "", Description: "API version of the exec credential plugin for the user entry in kubeconfig"},
	{Argument: "config set-credentials", Text: "--exec-arg", Alias: "", Provider: "", Description: "New arguments for the exec credential plugin command for the user entry in kubeconfig"},
	{Argument: "config set-credentials", Text: "--exec-command", Alias: "", Provider: "", Description: "Command for the exec credential plugin for the user entry in kubeconfig"},
	{Argument: "config set-credentials", Text: "--exec-env", Alias: "", Provider: "", Description: "'key=value' environment values for the exec credential plugin"},
	{Argument: "config view", Text: "--allow-missing-template-keys", Alias: "", Provider: "bool", Description: "If true, ignore any errors in templates when a field or map key is missing in the template. Only applies to golang and jsonpath output formats."},
	{Argument: "config view", Text: "--flatten", Alias: "", Provider: "bool", Description: "Flatten the resulting kubeconfig file into self-contained output (useful for creating portable kubeconfig files)"},
	{Argument: "config view", Text: "--merge", Alias: "", Provider: "bool", Description: "Merge the full hierarchy of kubeconfig files"},
	{Argument: "config view", Text: "--minify", Alias: "", Provider: "bool", Description: "Remove all information not used by current-context from the output"},
	{Argument: "config view", Text: "--output", Alias: "-o", Provider: "output", Description: "Output format. One of: json|yaml|name|go-template|go-template-file|template|templatefile|jsonpath|jsonpath-as-json|jsonpath-file."},
	{Argument: "config view", Text: "--raw", Alias: "", Provider: "bool", Description: "Display raw byte data"},
	{Argument: "config view", Text: "--show-managed-fields", Alias: "", Provider: "bool", Description: "If true, keep the managedFields when printing objects in JSON or YAML format."},
	{Argument: "config view", Text: "--template", Alias: "", Provider: "", Description: "Template string or path to template file to use when -o=go-template, -o=go-template-file"},
	{Argument: "explain", Text: "--api-version", Alias: "", Provider: "", Description: "Get different explanations for particular API version (API group/version)"},
	{Argument: "explain", Text: "--recursive", Alias: "", Provider: "bool", Description: "Print the fields of fields (Currently only 1 level deep)"},
	{Argument: "plugin list", Text: "--name-only", Alias: "", Provider: "bool", Description: "If true, display only the binary name of each plugin, rather than its full path"},
	{Argument: "version", Text: "--Client", Alias: "", Provider: "bool", Description: "If true, shows Client version only (no server required)."},
	{Argument: "version", Text: "--output", Alias: "-o", Provider: "output", Description: "One of 'yaml' or 'json'."},
	{Argument: "version", Text: "--short", Alias: "", Provider: "bool", Description: "If true, print just the version number."},
}
